diff --git a/modules/distribution/pom.xml b/modules/distribution/pom.xml
index 8fe2378a..ae1c8f74 100644
--- a/modules/distribution/pom.xml
+++ b/modules/distribution/pom.xml
@@ -735,6 +735,31 @@
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/modules/distribution/src/analytics/resources/profile/master-datasources.xml b/modules/distribution/src/analytics/resources/profile/master-datasources.xml
new file mode 100644
index 00000000..744b342f
--- /dev/null
+++ b/modules/distribution/src/analytics/resources/profile/master-datasources.xml
@@ -0,0 +1,50 @@
+
+
+
+ org.wso2.carbon.ndatasource.rdbms.RDBMSDataSourceReader
+
+
+
+ WSO2_CARBON_DB
+ The datasource used for registry and user manager
+
+ jdbc/WSO2CarbonDB
+
+
+
+ jdbc:h2:repository/database/WSO2CARBON_DB;DB_CLOSE_ON_EXIT=FALSE;AUTO_SERVER=TRUE
+ wso2carbon
+ wso2carbon
+ org.h2.Driver
+ 50
+ 60000
+ true
+ SELECT 1
+ 30000
+ false
+
+
+
+
+ WSO2_REGISTRY_DB
+ The datasource used for registry and user manager
+
+ jdbc/WSO2RegDB
+
+
+
+ jdbc:h2:repository/database/WSO2CARBON_DB;DB_CLOSE_ON_EXIT=FALSE;AUTO_SERVER=TRUE
+ wso2carbon
+ wso2carbon
+ org.h2.Driver
+ 50
+ 60000
+ true
+ SELECT 1
+ 30000
+ false
+
+
+
+
+
diff --git a/modules/distribution/src/assembly/bin.xml b/modules/distribution/src/assembly/bin.xml
index 0fadebcf..c31836e7 100755
--- a/modules/distribution/src/assembly/bin.xml
+++ b/modules/distribution/src/assembly/bin.xml
@@ -602,6 +602,21 @@
**/wso2server.sh
**/wso2server.bat
+
+ **/*.sh
+ **/*.bat
+
+ 755
+
+
+
+ ../p2-profile/iot-core-profile/target/wso2carbon-core-${carbon.kernel.version}/bin
+
+ ${pom.artifactId}-${pom.version}/bin
+
+ **/*.sh
+ **/*.bat
+
../p2-profile/iot-core-profile/target/wso2carbon-core-${carbon.kernel.version}/wso2/components
@@ -1106,6 +1121,18 @@
${pom.artifactId}-${pom.version}/bin
755
+
+
+
+
+
+
+
+
+ ${pom.artifactId}-${pom.version}/bin
+ 755
+ true
+
@@ -1569,9 +1596,23 @@
${pom.artifactId}-${pom.version}/conf/identity
+
+
+
+ ${pom.artifactId}-${pom.version}/repository/resources/lifecycles
+
+
+
+
+ ${pom.artifactId}-${pom.version}/wso2/analytics/repository/resources/profile
+ 644
+
+
${pom.artifactId}-${pom.version}/wso2/analytics/bin/
diff --git a/modules/distribution/src/assembly/filter.properties b/modules/distribution/src/assembly/filter.properties
index 1ce5bf11..fd60d207 100644
--- a/modules/distribution/src/assembly/filter.properties
+++ b/modules/distribution/src/assembly/filter.properties
@@ -18,7 +18,7 @@
product.name=WSO2 IoT Server
product.key=IoT
-product.version=3.1.0
+product.version=3.1.0-SNAPSHOT
carbon.version=4.4.14
default.server.role=IoTServer
diff --git a/modules/distribution/src/core/bin/profile-creator.sh b/modules/distribution/src/core/bin/profile-creator.sh
new file mode 100644
index 00000000..3725e86a
--- /dev/null
+++ b/modules/distribution/src/core/bin/profile-creator.sh
@@ -0,0 +1,282 @@
+#!/bin/bash
+#------------------------------------------------------------------------
+# Copyright (c) 2017, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
+#
+# WSO2 Inc. licenses this file to you under the Apache License,
+# Version 2.0 (the "License"); you may not use this file except
+# in compliance with the License.
+# You may obtain a copy of the License at
+
+# http://www.apache.org/licenses/LICENSE-2.0
+
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#-------------------------------------------------------------------------
+# Profile creator tool for EI
+#-------------------------------------------------------------------------
+
+
+
+DIR="$(dirname "${BASH_SOURCE[0]}")"
+DISTRIBUTION="wso2iot-@product.version@"
+#get the desired profile
+echo "This tool will erase all the files which are not required for the selected profile "
+echo "and also creates a distribution of this profile in the same folder resides."
+echo "WARNING:This may cause loss of any changes to the other profiles."
+echo "WSO2 IoT Server Supports following profiles."
+echo " 1.IoT Gateway Profile"
+echo " 2.IoT Key Manager Profile"
+echo " 3.IoT Device Backend Profile"
+echo " 4.IoT Device Manager Profile"
+echo " 5.Analytics Profile"
+echo " 6.Broker profile"
+echo "Please enter the desired profile number to create the profile specific distribution."
+read profileNumber
+#gateway profile
+if [ ${profileNumber} -eq 1 ]
+then
+ echo "Preparing the Integrator profile distribution"
+ DEFAULT_BUNDLES="$(< ${DIR}/../wso2/components/http-gateway/configuration/org.eclipse.equinox.simpleconfigurator/bundles.info)"
+ #remove broker
+ echo "Removing Broker profile"
+ rm -rf ${DIR}/../wso2/broker
+ rm -rf ${DIR}/../wso2/components/broker-default
+ rm -rf ${DIR}/broker.bat
+ rm -rf ${DIR}/broker.sh
+
+ #remove analytics
+ echo "Removing Analytics profile"
+ rm -rf ${DIR}/../wso2/analytics
+ rm -rf ${DIR}/../wso2/components/analytics-default
+ rm -rf ${DIR}/analytics.bat
+ rm -rf ${DIR}/analytics.sh
+
+ #remove integrator
+ echo "Removing IoT Other profiles"
+ rm -rf ${DIR}/../wso2/components/default ${DIR}/../wso2/components/device-backend ${DIR}/../wso2/components/device-key-manager ${DIR}/../wso2/components/device-manager
+ rm -rf ${DIR}/../samples/
+ rm -rf ${DIR}/../plugins
+ rm -rf ${DIR}/profile-creator.sh
+ rm -rf ${DIR}/profile-creator.bat
+ cp -rf ${DIR}/../repository/resources/profiles/gateway/* ${DIR}/../bin/
+ rm -rf ${DIR}/../repository/deployment/server/jaggeryapps/*
+ rm -rf ${DIR}/../repository/deployment/server/webapps/*
+ rm -rf ${DIR}/../repository/deployment/server/carbonapps/*
+ rm -rf ${DIR}/../repository/deployment/server/axis2services/*
+ rm -rf ${DIR}/../repository/deployment/server/devicetypes/*
+
+ PROFILE="_gateway"
+
+#key-manager profile
+elif [ ${profileNumber} -eq 2 ]
+then
+ echo "Preparing the Integrator profile distribution"
+ DEFAULT_BUNDLES="$(< ${DIR}/../wso2/components/device-key-manager/configuration/org.eclipse.equinox.simpleconfigurator/bundles.info)"
+ #remove broker
+ echo "Removing Broker profile"
+ rm -rf ${DIR}/../wso2/broker
+ rm -rf ${DIR}/../wso2/components/broker-default
+ rm -rf ${DIR}/broker.bat
+ rm -rf ${DIR}/broker.sh
+
+ #remove analytics
+ echo "Removing Analytics profile"
+ rm -rf ${DIR}/../wso2/analytics
+ rm -rf ${DIR}/../wso2/components/analytics-default
+ rm -rf ${DIR}/analytics.bat
+ rm -rf ${DIR}/analytics.sh
+
+ #remove integrator
+ echo "Removing IoT Other profiles"
+ rm -rf ${DIR}/../wso2/components/default ${DIR}/../wso2/components/device-backend ${DIR}/../wso2/components/http-gateway ${DIR}/../wso2/components/device-manager
+ rm -rf ${DIR}/../samples/
+ rm -rf ${DIR}/../plugins
+ rm -rf ${DIR}/profile-creator.sh
+ rm -rf ${DIR}/profile-creator.bat
+ cp -rf ${DIR}/../repository/resources/profiles/keymanager/* ${DIR}/../bin/
+ rm -rf ${DIR}/../repository/deployment/server/jaggeryapps/*
+ rm -rf ${DIR}/../repository/deployment/server/synapse-configs/default/api/*
+ rm -rf ${DIR}/../repository/deployment/server/synapse-configs/default/sequences/_*.xml
+ mkdir ${DIR}/../repository/deployment/server/tempwebapp
+ cp ${DIR}/../repository/deployment/server/webapps/oauth2.war ${DIR}/../repository/deployment/server/tempwebapp/
+ cp ${DIR}/../repository/deployment/server/webapps/client-registration#v0.11.war ${DIR}/../repository/deployment/server/tempwebapp/
+ cp ${DIR}/../repository/deployment/server/webapps/dynamic-client-web.war ${DIR}/../repository/deployment/server/tempwebapp/
+ rm -rf ${DIR}/../repository/deployment/server/webapps/*
+ cp -rf ${DIR}/../repository/deployment/server/tempwebapp/* ${DIR}/../repository/deployment/server/webapps/
+ rm -rf ${DIR}/../repository/deployment/server/tempwebapp
+ rm -rf ${DIR}/../repository/deployment/server/carbonapps/*
+ rm -rf ${DIR}/../repository/deployment/server/axis2services/*
+ rm -rf ${DIR}/../repository/deployment/server/devicetypes/*
+
+ PROFILE="_keymanager"
+
+#device backend profile
+elif [ ${profileNumber} -eq 3 ]
+then
+ echo "Preparing the Integrator profile distribution"
+ DEFAULT_BUNDLES="$(< ${DIR}/../wso2/components/device-backend/configuration/org.eclipse.equinox.simpleconfigurator/bundles.info)"
+ #remove broker
+ echo "Removing Broker profile"
+ rm -rf ${DIR}/../wso2/broker
+ rm -rf ${DIR}/../wso2/components/broker-default
+ rm -rf ${DIR}/broker.bat
+ rm -rf ${DIR}/broker.sh
+
+ #remove analytics
+ echo "Removing Analytics profile"
+ rm -rf ${DIR}/../wso2/analytics
+ rm -rf ${DIR}/../wso2/components/analytics-default
+ rm -rf ${DIR}/analytics.bat
+ rm -rf ${DIR}/analytics.sh
+
+ #remove integrator
+ echo "Removing IoT Other profiles"
+ rm -rf ${DIR}/../wso2/components/default ${DIR}/../wso2/components/device-key-manager ${DIR}/../wso2/components/http-gateway ${DIR}/../wso2/components/device-manager
+ rm -rf ${DIR}/../samples/
+ rm -rf ${DIR}/../plugins
+ rm -rf ${DIR}/profile-creator.sh
+ rm -rf ${DIR}/profile-creator.bat
+ rm -rf ${DIR}/../repository/deployment/server/synapse-configs/default/api/*
+ rm -rf ${DIR}/../repository/deployment/server/synapse-configs/default/sequences/_*.xml
+ cp -rf ${DIR}/../repository/resources/profiles/backend/* ${DIR}/../bin/
+ rm -rf ${DIR}/../repository/deployment/server/webapps/oauth2.war ${DIR}/../repository/deployment/server/webapps/shindig.war ${DIR}/../repository/deployment/server/webapps/api#am#publisher#v0.11.war ${DIR}/../repository/deployment/server/webapps/api#am#store#v0.11.war ${DIR}/../repository/deployment/server/webapps/api#appm#oauth#v1.0.war ${DIR}/../repository/deployment/server/webapps/api#appm#publisher#v1.1.war ${DIR}/../repository/deployment/server/webapps/api#appm#store#v1.1.war
+ rm -rf ${DIR}/../repository/deployment/server/webapps/dynamic-client-web.war ${DIR}/../repository/deployment/server/webapps/client-registration#v0.11.war
+ rm -rf ${DIR}/../repository/deployment/server/jaggeryapps/*
+ rm -rf ${DIR}/../repository/deployment/server/axis2services/*
+
+ PROFILE="_device-backend"
+
+#device manager profile
+elif [ ${profileNumber} -eq 4 ]
+then
+ echo "Preparing the Integrator profile distribution"
+ DEFAULT_BUNDLES="$(< ${DIR}/../wso2/components/device-manager/configuration/org.eclipse.equinox.simpleconfigurator/bundles.info)"
+ #remove broker
+ echo "Removing Broker profile"
+ rm -rf ${DIR}/../wso2/broker
+ rm -rf ${DIR}/../wso2/components/broker-default
+ rm -rf ${DIR}/broker.bat
+ rm -rf ${DIR}/broker.sh
+
+ #remove analytics
+ echo "Removing Analytics profile"
+ rm -rf ${DIR}/../wso2/analytics
+ rm -rf ${DIR}/../wso2/components/analytics-default
+ rm -rf ${DIR}/analytics.bat
+ rm -rf ${DIR}/analytics.sh
+
+ #remove integrator
+ echo "Removing IoT Other profiles"
+ rm -rf ${DIR}/../wso2/components/default ${DIR}/../wso2/components/device-key-manager ${DIR}/../wso2/components/http-gateway ${DIR}/../wso2/components/device-backend
+ rm -rf ${DIR}/../samples/
+ rm -rf ${DIR}/../plugins
+ rm -rf ${DIR}/profile-creator.sh
+ rm -rf ${DIR}/profile-creator.bat
+ cp -rf ${DIR}/../repository/resources/profiles/manager/* ${DIR}/../bin/
+ mkdir ${DIR}/../repository/deployment/server/tempwebapp
+ cp ${DIR}/../repository/deployment/server/webapps/api#am#publisher#v0.11.war ${DIR}/../repository/deployment/server/tempwebapp/
+ cp ${DIR}/../repository/deployment/server/webapps/api#am#store#v0.11.war ${DIR}/../repository/deployment/server/tempwebapp/
+ cp ${DIR}/../repository/deployment/server/webapps/api#appm#oauth#v1.0.war ${DIR}/../repository/deployment/server/tempwebapp/
+ cp ${DIR}/../repository/deployment/server/webapps/api#appm#publisher#v1.1.war ${DIR}/../repository/deployment/server/tempwebapp/
+ cp ${DIR}/../repository/deployment/server/webapps/api#appm#store#v1.1.war ${DIR}/../repository/deployment/server/tempwebapp/
+ cp ${DIR}/../repository/deployment/server/webapps/shindig.war ${DIR}/../repository/deployment/server/tempwebapp/
+ rm -rf ${DIR}/../repository/deployment/server/webapps/*
+ cp -rf ${DIR}/../repository/deployment/server/tempwebapp/* ${DIR}/../repository/deployment/server/webapps/
+ rm -rf ${DIR}/../repository/deployment/server/tempwebapp
+ rm -rf ${DIR}/../repository/deployment/server/axis2services/*
+ rm -rf ${DIR}/../repository/deployment/server/synapse-configs/default/api/*
+ rm -rf ${DIR}/../repository/deployment/server/synapse-configs/default/sequences/_*.xml
+
+ PROFILE="_device-manager"
+
+#Analytics profile
+elif [ ${profileNumber} -eq 5 ]
+then
+ echo "Preparing the Analytics profile distribution"
+ DEFAULT_BUNDLES="$(< ${DIR}/../wso2/components/analytics-default/configuration/org.eclipse.equinox.simpleconfigurator/bundles.info)"
+ #remove broker
+ echo "Removing Broker profile"
+ rm -rf ${DIR}/../wso2/broker
+ rm -rf ${DIR}/../wso2/components/broker-default
+ rm -rf ${DIR}/broker.bat
+ rm -rf ${DIR}/broker.sh
+
+ #remove intergrator
+ echo "Removing IoT profiles"
+ rm -rf ${DIR}/../conf
+ rm -rf ${DIR}/../wso2/components/default ${DIR}/../wso2/components/device-backend ${DIR}/../wso2/components/device-key-manager ${DIR}/../wso2/components/device-manager ${DIR}/../wso2/components/http-gateway
+ rm -rf ${DIR}/../samples/
+ rm -rf ${DIR}/../modules
+ rm -rf ${DIR}/../dbscripts
+ rm -rf ${DIR}/../plugins
+ rm -rf ${DIR}/../repository
+ rm -rf ${DIR}/../resources
+ rm -rf ${DIR}/../tmp
+ rm -rf ${DIR}/profile-creator.sh
+ rm -rf ${DIR}/profile-creator.bat
+ rm -rf ${DIR}/iot-server.bat
+ rm -rf ${DIR}/iot-server.sh
+
+ echo "Copying configurations"
+ cp -rf ${DIR}/../wso2/analytics/repository/resources/profile/master-datasources.xml ${DIR}/../wso2/analytics/conf/datasources
+
+ PROFILE="_analytics"
+
+elif [ ${profileNumber} -eq 6 ]
+then
+ echo "Preparing the Broker profile distribution"
+ DEFAULT_BUNDLES="$(< ${DIR}/../wso2/components/broker-default/configuration/org.eclipse.equinox.simpleconfigurator/bundles.info)"
+ #remove analytics
+ echo "Removing Analytics profile"
+ rm -rf ${DIR}/../wso2/analytics
+ rm -rf ${DIR}/../wso2/components/analytics-default
+ rm -rf ${DIR}/analytics.bat
+ rm -rf ${DIR}/analytics.sh
+
+ #remove integrator
+ echo "Removing IoT profiles"
+ rm -rf ${DIR}/../conf
+ rm -rf ${DIR}/../wso2/components/default ${DIR}/../wso2/components/device-backend ${DIR}/../wso2/components/device-key-manager ${DIR}/../wso2/components/device-manager ${DIR}/../wso2/components/http-gateway
+ rm -rf ${DIR}/../samples/
+ rm -rf ${DIR}/../modules
+ rm -rf ${DIR}/../dbscripts
+ rm -rf ${DIR}/../plugins
+ rm -rf ${DIR}/../repository
+ rm -rf ${DIR}/../resources
+ rm -rf ${DIR}/../tmp
+ rm -rf ${DIR}/profile-creator.sh
+ rm -rf ${DIR}/profile-creator.bat
+ rm -rf ${DIR}/iot-server.bat
+ rm -rf ${DIR}/iot-server.sh
+
+ PROFILE="_broker"
+else
+ echo "Invalid profile number. Terminating."
+ exit 3
+fi
+
+
+
+#remove unnecessary jar files
+echo "Removing unnecessary jars from plugins folder."
+mkdir -p ${DIR}/../wso2/components/tmp_plugins
+
+for BUNDLE in $DEFAULT_BUNDLES; do
+ IFS=',' read -a bundleArray <<< "$BUNDLE"
+ JAR=${bundleArray[0]}_${bundleArray[1]}.jar
+ cp ${DIR}/../wso2/components/plugins/${JAR} ${DIR}/../wso2/components/tmp_plugins
+done
+
+rm -r ${DIR}/../wso2/components/plugins
+mv ${DIR}/../wso2/components/tmp_plugins ${DIR}/../wso2/components/plugins
+
+echo "Preparing a profile distribution archive."
+cd ${DIR}/../../
+zip -r ${DISTRIBUTION}${PROFILE}.zip ${DISTRIBUTION}/
+
+echo "Profile creation completed successfully."
+exit 0
diff --git a/modules/distribution/src/core/plugins/plugins-deployer.xml b/modules/distribution/src/core/plugins/plugins-deployer.xml
index 61d2bef2..8f32e26c 100644
--- a/modules/distribution/src/core/plugins/plugins-deployer.xml
+++ b/modules/distribution/src/core/plugins/plugins-deployer.xml
@@ -207,6 +207,6 @@
- 3.0.17
+ 3.0.22
-
\ No newline at end of file
+
diff --git a/modules/distribution/src/core/resources/profiles/backend/iot-server.bat b/modules/distribution/src/core/resources/profiles/backend/iot-server.bat
new file mode 100644
index 00000000..fc200237
--- /dev/null
+++ b/modules/distribution/src/core/resources/profiles/backend/iot-server.bat
@@ -0,0 +1,182 @@
+@echo off
+
+REM ---------------------------------------------------------------------------
+REM Copyright 2005-2009 WSO2, Inc. http://www.wso2.org
+REM
+REM Licensed under the Apache License, Version 2.0 (the "License");
+REM you may not use this file except in compliance with the License.
+REM You may obtain a copy of the License at
+REM
+REM http://www.apache.org/licenses/LICENSE-2.0
+REM
+REM Unless required by applicable law or agreed to in writing, software
+REM distributed under the License is distributed on an "AS IS" BASIS,
+REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+REM See the License for the specific language governing permissions and
+REM limitations under the License.
+
+rem ---------------------------------------------------------------------------
+rem Main Script for WSO2 Carbon
+rem
+rem Environment Variable Prequisites
+rem
+rem CARBON_HOME Home of CARBON installation. If not set I will try
+rem to figure it out.
+rem
+rem
+rem JAVA_HOME Must point at your Java Development Kit installation.
+rem
+rem JAVA_OPTS (Optional) Java runtime options used when the commands
+rem is executed.
+rem ---------------------------------------------------------------------------
+
+rem ----- if JAVA_HOME is not set we're not happy ------------------------------
+:checkJava
+
+if "%JAVA_HOME%" == "" goto noJavaHome
+if not exist "%JAVA_HOME%\bin\java.exe" goto noJavaHome
+goto checkServer
+
+:noJavaHome
+echo "You must set the JAVA_HOME variable before running CARBON."
+goto end
+
+rem ----- Only set CARBON_HOME if not already set ----------------------------
+:checkServer
+rem %~sdp0 is expanded pathname of the current script under NT with spaces in the path removed
+SET CARBON_HOME=%~sdp0..
+SET curDrive=%cd:~0,1%
+SET wsasDrive=%CARBON_HOME:~0,1%
+if not "%curDrive%" == "%wsasDrive%" %wsasDrive%:
+
+rem find CARBON_HOME if it does not exist due to either an invalid value passed
+rem by the user or the %0 problem on Windows 9x
+if not exist "%CARBON_HOME%\bin\version.txt" goto noServerHome
+
+set AXIS2_HOME=%CARBON_HOME%
+goto updateClasspath
+
+:noServerHome
+echo CARBON_HOME is set incorrectly or CARBON could not be located. Please set CARBON_HOME.
+goto end
+
+rem ----- update classpath -----------------------------------------------------
+:updateClasspath
+
+setlocal EnableDelayedExpansion
+cd %CARBON_HOME%
+set CARBON_CLASSPATH=
+FOR %%C in ("%CARBON_HOME%\bin\*.jar") DO set CARBON_CLASSPATH=!CARBON_CLASSPATH!;".\bin\%%~nC%%~xC"
+
+set CARBON_CLASSPATH="%JAVA_HOME%\lib\tools.jar";%CARBON_CLASSPATH%;
+
+FOR %%D in ("%CARBON_HOME%\wso2\lib\commons-lang*.jar") DO set CARBON_CLASSPATH=!CARBON_CLASSPATH!;".\lib\%%~nD%%~xD"
+
+rem ----- Process the input command -------------------------------------------
+
+rem Slurp the command line arguments. This loop allows for an unlimited number
+rem of arguments (up to the command line limit, anyway).
+
+
+:setupArgs
+if ""%1""=="""" goto doneStart
+
+if ""%1""==""-run"" goto commandLifecycle
+if ""%1""==""--run"" goto commandLifecycle
+if ""%1""==""run"" goto commandLifecycle
+
+if ""%1""==""-restart"" goto commandLifecycle
+if ""%1""==""--restart"" goto commandLifecycle
+if ""%1""==""restart"" goto commandLifecycle
+
+if ""%1""==""debug"" goto commandDebug
+if ""%1""==""-debug"" goto commandDebug
+if ""%1""==""--debug"" goto commandDebug
+
+if ""%1""==""version"" goto commandVersion
+if ""%1""==""-version"" goto commandVersion
+if ""%1""==""--version"" goto commandVersion
+
+shift
+goto setupArgs
+
+rem ----- commandVersion -------------------------------------------------------
+:commandVersion
+shift
+type "%CARBON_HOME%\bin\version.txt"
+type "%CARBON_HOME%\bin\wso2carbon-version.txt"
+goto end
+
+rem ----- commandDebug ---------------------------------------------------------
+:commandDebug
+shift
+set DEBUG_PORT=%1
+if "%DEBUG_PORT%"=="" goto noDebugPort
+if not "%JAVA_OPTS%"=="" echo Warning !!!. User specified JAVA_OPTS will be ignored, once you give the --debug option.
+set JAVA_OPTS=-Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=%DEBUG_PORT%
+echo Please start the remote debugging client to continue...
+goto findJdk
+
+:noDebugPort
+echo Please specify the debug port after the --debug option
+goto end
+
+rem ----- commandLifecycle -----------------------------------------------------
+:commandLifecycle
+goto findJdk
+
+:doneStart
+if "%OS%"=="Windows_NT" @setlocal
+if "%OS%"=="WINNT" @setlocal
+
+rem ---------- Handle the SSL Issue with proper JDK version --------------------
+rem find the version of the jdk
+:findJdk
+
+set CMD=RUN %*
+
+:checkJdk17
+"%JAVA_HOME%\bin\java" -version 2>&1 | findstr /r "1.[7|8]" >NUL
+IF ERRORLEVEL 1 goto unknownJdk
+goto jdk17
+
+:unknownJdk
+echo Starting WSO2 Carbon (in unsupported JDK)
+echo [ERROR] CARBON is supported only on JDK 1.7 and 1.8
+goto jdk17
+
+:jdk17
+goto runServer
+
+rem ----------------- Execute The Requested Command ----------------------------
+
+:runServer
+cd %CARBON_HOME%
+
+rem ------------------ Remove tmp folder on startup -----------------------------
+set TMP_DIR=%CARBON_HOME%\tmp
+cd "%TMP_DIR%"
+del *.* /s /q > nul
+FOR /d %%G in ("*.*") DO rmdir %%G /s /q
+cd ..
+
+rem ---------- Add jars to classpath ----------------
+
+set CARBON_CLASSPATH=.\lib;%CARBON_CLASSPATH%
+
+set JAVA_ENDORSED=".\wso2\lib\endorsed";"%JAVA_HOME%\jre\lib\endorsed";"%JAVA_HOME%\lib\endorsed"
+
+set profile=-Dprofile=device-backend
+
+set CMD_LINE_ARGS=-Xbootclasspath/a:%CARBON_XBOOTCLASSPATH% -Xms256m -Xmx1024m -XX:MaxPermSize=256m -XX:+HeapDumpOnOutOfMemoryError -XX:HeapDumpPath="%CARBON_HOME%\repository\logs\heap-dump.hprof" -Dcom.sun.management.jmxremote -classpath %CARBON_CLASSPATH% %JAVA_OPTS% -Djava.endorsed.dirs=%JAVA_ENDORSED% -Dcarbon.registry.root=/ -Dcarbon.home="%CARBON_HOME%" -Dwso2.server.standalone=true -Djava.command="%JAVA_HOME%\bin\java" -Djava.opts="%JAVA_OPTS%" -Djava.io.tmpdir="%CARBON_HOME%\tmp" -Dlogger.server.name="IoT-Core" -Dcatalina.base="%CARBON_HOME%\wso2\lib\tomcat" -Djava.util.logging.config.file="%CARBON_HOME%\conf\etc\logging-bridge.properties" -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -Dcomponents.repo="%CARBON_HOME%\wso2\components\plugins" -Dcarbon.config.dir.path="%CARBON_HOME%\conf" -Dcarbon.components.dir.path="%CARBON_HOME%\wso2\components" -Dcarbon.extensions.dir.path="%CARBON_HOME%\extensions" -Dcarbon.dropins.dir.path="%CARBON_HOME%\dropins" -Dcarbon.external.lib.dir.path="%CARBON_HOME%\lib" -Dcarbon.patches.dir.path="%CARBON_HOME%\patches" -Dcarbon.servicepacks.dir.path="%CARBON_HOME%\servicepacks" -Dcarbon.internal.lib.dir.path="%CARBON_HOME%\wso2\lib" -Dconf.location="%CARBON_HOME%\conf" -Dcom.atomikos.icatch.file="%CARBON_HOME%\wso2\lib\transactions.properties" -Dcom.atomikos.icatch.hide_init_file_path=true -Dorg.apache.jasper.compiler.Parser.STRICT_QUOTE_ESCAPING=false -Dorg.apache.jasper.runtime.BodyContentImpl.LIMIT_BUFFER=true -Dcom.sun.jndi.ldap.connect.pool.authentication=simple -Dcom.sun.jndi.ldap.connect.pool.timeout=3000 -Dorg.terracotta.quartz.skipUpdateCheck=true -Djava.security.egd=file:/dev/./urandom -Dfile.encoding=UTF8 -Djava.net.preferIPv4Stack=true -Dcom.ibm.cacheLocalHost=true -DworkerNode=false -Dorg.wso2.ignoreHostnameVerification=true -Dorg.opensaml.httpclient.https.disableHostnameVerification=true -Diot.analytics.host="localhost" -Diot.analytics.https.port="9445" -Diot.manager.host="localhost" -Diot.manager.https.port="9443" -Dmqtt.broker.host="localhost" -Dmqtt.broker.port="1886" -Diot.core.host="localhost" -Diot.core.https.port="9443" -Diot.keymanager.host="localhost" -Diot.keymanager.https.port="9443" -Diot.gateway.host="localhost" -Diot.gateway.https.port="8243" -Diot.gateway.http.port="8280" -Diot.apimpublisher.host="localhost" -Diot.apimpublisher.https.port="9443" -Diot.apimstore.host="localhost" -Diot.apimstore.https.port="9443" %profile%
+:runJava
+echo JAVA_HOME environment variable is set to %JAVA_HOME%
+echo CARBON_HOME environment variable is set to %CARBON_HOME%
+"%JAVA_HOME%\bin\java" %CMD_LINE_ARGS% org.wso2.carbon.bootstrap.Bootstrap %CMD%
+if "%ERRORLEVEL%"=="121" goto runJava
+:end
+goto endlocal
+
+:endlocal
+
+:END
\ No newline at end of file
diff --git a/modules/distribution/src/core/resources/profiles/backend/iot-server.sh b/modules/distribution/src/core/resources/profiles/backend/iot-server.sh
new file mode 100755
index 00000000..e500c0d4
--- /dev/null
+++ b/modules/distribution/src/core/resources/profiles/backend/iot-server.sh
@@ -0,0 +1,339 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Copyright 2005-2012 WSO2, Inc. http://www.wso2.org
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# ----------------------------------------------------------------------------
+# Main Script for the WSO2 Carbon Server
+#
+# Environment Variable Prequisites
+#
+# CARBON_HOME Home of WSO2 Carbon installation. If not set I will try
+# to figure it out.
+#
+# JAVA_HOME Must point at your Java Development Kit installation.
+#
+# JAVA_OPTS (Optional) Java runtime options used when the commands
+# is executed.
+#
+# NOTE: Borrowed generously from Apache Tomcat startup scripts.
+# -----------------------------------------------------------------------------
+
+# OS specific support. $var _must_ be set to either true or false.
+#ulimit -n 100000
+
+cygwin=false;
+darwin=false;
+os400=false;
+mingw=false;
+case "`uname`" in
+CYGWIN*) cygwin=true;;
+MINGW*) mingw=true;;
+OS400*) os400=true;;
+Darwin*) darwin=true
+ if [ -z "$JAVA_VERSION" ] ; then
+ JAVA_VERSION="CurrentJDK"
+ else
+ echo "Using Java version: $JAVA_VERSION"
+ fi
+ if [ -z "$JAVA_HOME" ] ; then
+ JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Versions/${JAVA_VERSION}/Home
+ fi
+ ;;
+esac
+
+# resolve links - $0 may be a softlink
+PRG="$0"
+
+while [ -h "$PRG" ]; do
+ ls=`ls -ld "$PRG"`
+ link=`expr "$ls" : '.*-> \(.*\)$'`
+ if expr "$link" : '.*/.*' > /dev/null; then
+ PRG="$link"
+ else
+ PRG=`dirname "$PRG"`/"$link"
+ fi
+done
+
+# Get standard environment variables
+PRGDIR=`dirname "$PRG"`
+
+# Only set CARBON_HOME if not already set
+[ -z "$CARBON_HOME" ] && CARBON_HOME=`cd "$PRGDIR/.." ; pwd`
+
+# Set AXIS2_HOME. Needed for One Click JAR Download
+AXIS2_HOME=$CARBON_HOME
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin; then
+ [ -n "$JAVA_HOME" ] && JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+ [ -n "$CARBON_HOME" ] && CARBON_HOME=`cygpath --unix "$CARBON_HOME"`
+ [ -n "$AXIS2_HOME" ] && CARBON_HOME=`cygpath --unix "$CARBON_HOME"`
+fi
+
+# For OS400
+if $os400; then
+ # Set job priority to standard for interactive (interactive - 6) by using
+ # the interactive priority - 6, the helper threads that respond to requests
+ # will be running at the same priority as interactive jobs.
+ COMMAND='chgjob job('$JOBNAME') runpty(6)'
+ system $COMMAND
+
+ # Enable multi threading
+ QIBM_MULTI_THREADED=Y
+ export QIBM_MULTI_THREADED
+fi
+
+# For Migwn, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+ [ -n "$CARBON_HOME" ] &&
+ CARBON_HOME="`(cd "$CARBON_HOME"; pwd)`"
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+ [ -n "$AXIS2_HOME" ] &&
+ CARBON_HOME="`(cd "$CARBON_HOME"; pwd)`"
+ # TODO classpath?
+fi
+
+if [ -z "$JAVACMD" ] ; then
+ if [ -n "$JAVA_HOME" ] ; then
+ if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+ # IBM's JDK on AIX uses strange locations for the executables
+ JAVACMD="$JAVA_HOME/jre/sh/java"
+ else
+ JAVACMD="$JAVA_HOME/bin/java"
+ fi
+ else
+ JAVACMD=java
+ fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+ echo "Error: JAVA_HOME is not defined correctly."
+ echo " CARBON cannot execute $JAVACMD"
+ exit 1
+fi
+
+# if JAVA_HOME is not set we're not happy
+if [ -z "$JAVA_HOME" ]; then
+ echo "You must set the JAVA_HOME variable before running CARBON."
+ exit 1
+fi
+
+if [ -e "$CARBON_HOME/wso2carbon.pid" ]; then
+ PID=`cat "$CARBON_HOME"/wso2carbon.pid`
+fi
+
+# ----- Process the input command ----------------------------------------------
+args=""
+for c in $*
+do
+ if [ "$c" = "--debug" ] || [ "$c" = "-debug" ] || [ "$c" = "debug" ]; then
+ CMD="--debug"
+ continue
+ elif [ "$CMD" = "--debug" ]; then
+ if [ -z "$PORT" ]; then
+ PORT=$c
+ fi
+ elif [ "$c" = "--stop" ] || [ "$c" = "-stop" ] || [ "$c" = "stop" ]; then
+ CMD="stop"
+ elif [ "$c" = "--start" ] || [ "$c" = "-start" ] || [ "$c" = "start" ]; then
+ CMD="start"
+ elif [ "$c" = "--version" ] || [ "$c" = "-version" ] || [ "$c" = "version" ]; then
+ CMD="version"
+ elif [ "$c" = "--restart" ] || [ "$c" = "-restart" ] || [ "$c" = "restart" ]; then
+ CMD="restart"
+ elif [ "$c" = "--test" ] || [ "$c" = "-test" ] || [ "$c" = "test" ]; then
+ CMD="test"
+ else
+ args="$args $c"
+ fi
+done
+
+if [ "$CMD" = "--debug" ]; then
+ if [ "$PORT" = "" ]; then
+ echo " Please specify the debug port after the --debug option"
+ exit 1
+ fi
+ if [ -n "$JAVA_OPTS" ]; then
+ echo "Warning !!!. User specified JAVA_OPTS will be ignored, once you give the --debug option."
+ fi
+ CMD="RUN"
+ JAVA_OPTS="-Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=$PORT"
+ echo "Please start the remote debugging client to continue..."
+elif [ "$CMD" = "start" ]; then
+ if [ -e "$CARBON_HOME/wso2carbon.pid" ]; then
+ if ps -p $PID > /dev/null ; then
+ echo "Process is already running"
+ exit 0
+ fi
+ fi
+ export CARBON_HOME=$CARBON_HOME
+# using nohup sh to avoid erros in solaris OS.TODO
+ nohup sh $CARBON_HOME/bin/wso2server.sh $args > /dev/null 2>&1 &
+ exit 0
+elif [ "$CMD" = "stop" ]; then
+ export CARBON_HOME=$CARBON_HOME
+ kill -term `cat $CARBON_HOME/wso2carbon.pid`
+ exit 0
+elif [ "$CMD" = "restart" ]; then
+ export CARBON_HOME=$CARBON_HOME
+ kill -term `cat $CARBON_HOME/wso2carbon.pid`
+ process_status=0
+ pid=`cat $CARBON_HOME/wso2carbon.pid`
+ while [ "$process_status" -eq "0" ]
+ do
+ sleep 1;
+ ps -p$pid 2>&1 > /dev/null
+ process_status=$?
+ done
+
+# using nohup sh to avoid erros in solaris OS.TODO
+ nohup sh $CARBON_HOME/bin/wso2server.sh $args > /dev/null 2>&1 &
+ exit 0
+elif [ "$CMD" = "test" ]; then
+ JAVACMD="exec "$JAVACMD""
+elif [ "$CMD" = "version" ]; then
+ cat $CARBON_HOME/bin/version.txt
+ cat $CARBON_HOME/bin/wso2carbon-version.txt
+ exit 0
+fi
+
+# ---------- Handle the SSL Issue with proper JDK version --------------------
+jdk_17=`$JAVA_HOME/bin/java -version 2>&1 | grep "1.[7|8]"`
+if [ "$jdk_17" = "" ]; then
+ echo " Starting WSO2 Carbon (in unsupported JDK)"
+ echo " [ERROR] CARBON is supported only on JDK 1.7 and 1.8"
+fi
+
+CARBON_XBOOTCLASSPATH=""
+for f in "$CARBON_HOME"/wso2/lib/xboot/*.jar
+do
+ if [ "$f" != "$CARBON_HOME/wso2/lib/xboot/*.jar" ];then
+ CARBON_XBOOTCLASSPATH="$CARBON_XBOOTCLASSPATH":$f
+ fi
+done
+
+JAVA_ENDORSED_DIRS="$CARBON_HOME/wso2/lib/endorsed":"$JAVA_HOME/jre/lib/endorsed":"$JAVA_HOME/wso2/lib/endorsed"
+
+CARBON_CLASSPATH=""
+if [ -e "$JAVA_HOME/lib/tools.jar" ]; then
+ CARBON_CLASSPATH="$JAVA_HOME/lib/tools.jar"
+fi
+for f in "$CARBON_HOME"/bin/*.jar
+do
+ if [ "$f" != "$CARBON_HOME/bin/*.jar" ];then
+ CARBON_CLASSPATH="$CARBON_CLASSPATH":$f
+ fi
+done
+for t in "$CARBON_HOME"/wso2/lib/commons-lang*.jar
+do
+ CARBON_CLASSPATH="$CARBON_CLASSPATH":$t
+done
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+ JAVA_HOME=`cygpath --absolute --windows "$JAVA_HOME"`
+ CARBON_HOME=`cygpath --absolute --windows "$CARBON_HOME"`
+ AXIS2_HOME=`cygpath --absolute --windows "$CARBON_HOME"`
+ CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+ JAVA_ENDORSED_DIRS=`cygpath --path --windows "$JAVA_ENDORSED_DIRS"`
+ CARBON_CLASSPATH=`cygpath --path --windows "$CARBON_CLASSPATH"`
+ CARBON_XBOOTCLASSPATH=`cygpath --path --windows "$CARBON_XBOOTCLASSPATH"`
+fi
+
+# ----- Execute The Requested Command -----------------------------------------
+
+echo JAVA_HOME environment variable is set to $JAVA_HOME
+echo CARBON_HOME environment variable is set to $CARBON_HOME
+
+cd "$CARBON_HOME"
+
+TMP_DIR=$CARBON_HOME/tmp
+if [ -d "$TMP_DIR" ]; then
+rm -rf "$TMP_DIR"
+fi
+
+START_EXIT_STATUS=121
+status=$START_EXIT_STATUS
+
+#setting up profile parameter for runtime http-gateway
+NODE_PARAMS="-Dprofile=device-backend"
+
+#To monitor a Carbon server in remote JMX mode on linux host machines, set the below system property.
+# -Djava.rmi.server.hostname="your.IP.goes.here"
+
+while [ "$status" = "$START_EXIT_STATUS" ]
+do
+ $JAVACMD \
+ -Xbootclasspath/a:"$CARBON_XBOOTCLASSPATH" \
+ -Xms256m -Xmx1024m -XX:MaxPermSize=512m \
+ -XX:+HeapDumpOnOutOfMemoryError \
+ -XX:HeapDumpPath="$CARBON_HOME/repository/logs/heap-dump.hprof" \
+ $JAVA_OPTS \
+ -Dcom.sun.management.jmxremote \
+ -classpath "$CARBON_CLASSPATH" \
+ -Djava.endorsed.dirs="$JAVA_ENDORSED_DIRS" \
+ -Djava.io.tmpdir="$CARBON_HOME/wso2/tmp" \
+ -Dcatalina.base="$CARBON_HOME/wso2/lib/tomcat" \
+ -Dwso2.server.standalone=true \
+ -Dcarbon.registry.root=/ \
+ -Djava.command="$JAVACMD" \
+ -Dcarbon.home="$CARBON_HOME" \
+ -Dlogger.server.name="IoT-Core" \
+ -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager \
+ -Dcarbon.config.dir.path="$CARBON_HOME/conf" \
+ -Dcarbon.components.dir.path="$CARBON_HOME/wso2/components" \
+ -Dcarbon.dropins.dir.path="$CARBON_HOME/dropins" \
+ -Dcarbon.external.lib.dir.path="$CARBON_HOME/lib" \
+ -Dcarbon.patches.dir.path="$CARBON_HOME/patches" \
+ -Dcarbon.servicepacks.dir.path="$CARBON_HOME/servicepacks" \
+ -Dcarbon.internal.lib.dir.path="$CARBON_HOME/wso2/lib" \
+ -Djava.util.logging.config.file="$CARBON_HOME/conf/etc/logging-bridge.properties" \
+ -Dcomponents.repo="$CARBON_HOME/wso2/components/plugins" \
+ -Dconf.location="$CARBON_HOME/conf"\
+ -Dcom.atomikos.icatch.file="$CARBON_HOME/wso2/lib/transactions.properties" \
+ -Dcom.atomikos.icatch.hide_init_file_path=true \
+ -Dorg.apache.jasper.compiler.Parser.STRICT_QUOTE_ESCAPING=false \
+ -Dorg.apache.jasper.runtime.BodyContentImpl.LIMIT_BUFFER=true \
+ -Dcom.sun.jndi.ldap.connect.pool.authentication=simple \
+ -Dcom.sun.jndi.ldap.connect.pool.timeout=3000 \
+ -Dorg.terracotta.quartz.skipUpdateCheck=true \
+ -Djava.security.egd=file:/dev/./urandom \
+ -Dfile.encoding=UTF8 \
+ -Djava.net.preferIPv4Stack=true \
+ -Dcom.ibm.cacheLocalHost=true \
+ -DworkerNode=false \
+ -Dorg.wso2.ignoreHostnameVerification=true \
+ -Dorg.opensaml.httpclient.https.disableHostnameVerification=true \
+ -Diot.analytics.host="localhost" \
+ -Diot.analytics.https.port="9445" \
+ -Diot.manager.host="localhost" \
+ -Diot.manager.https.port="9443" \
+ -Dmqtt.broker.host="localhost" \
+ -Dmqtt.broker.port="1886" \
+ -Diot.core.host="localhost" \
+ -Diot.core.https.port="9443" \
+ -Diot.keymanager.host="localhost" \
+ -Diot.keymanager.https.port="9443" \
+ -Diot.gateway.host="localhost" \
+ -Diot.gateway.https.port="8243" \
+ -Diot.gateway.http.port="8280" \
+ -Diot.apimpublisher.host="localhost" \
+ -Diot.apimpublisher.https.port="9443" \
+ -Diot.apimstore.host="localhost" \
+ -Diot.apimstore.https.port="9443" \
+ $NODE_PARAMS \
+ org.wso2.carbon.bootstrap.Bootstrap $*
+ status=$?
+done
diff --git a/modules/distribution/src/core/resources/profiles/gateway/iot-server.bat b/modules/distribution/src/core/resources/profiles/gateway/iot-server.bat
new file mode 100644
index 00000000..72d30681
--- /dev/null
+++ b/modules/distribution/src/core/resources/profiles/gateway/iot-server.bat
@@ -0,0 +1,182 @@
+@echo off
+
+REM ---------------------------------------------------------------------------
+REM Copyright 2005-2009 WSO2, Inc. http://www.wso2.org
+REM
+REM Licensed under the Apache License, Version 2.0 (the "License");
+REM you may not use this file except in compliance with the License.
+REM You may obtain a copy of the License at
+REM
+REM http://www.apache.org/licenses/LICENSE-2.0
+REM
+REM Unless required by applicable law or agreed to in writing, software
+REM distributed under the License is distributed on an "AS IS" BASIS,
+REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+REM See the License for the specific language governing permissions and
+REM limitations under the License.
+
+rem ---------------------------------------------------------------------------
+rem Main Script for WSO2 Carbon
+rem
+rem Environment Variable Prequisites
+rem
+rem CARBON_HOME Home of CARBON installation. If not set I will try
+rem to figure it out.
+rem
+rem
+rem JAVA_HOME Must point at your Java Development Kit installation.
+rem
+rem JAVA_OPTS (Optional) Java runtime options used when the commands
+rem is executed.
+rem ---------------------------------------------------------------------------
+
+rem ----- if JAVA_HOME is not set we're not happy ------------------------------
+:checkJava
+
+if "%JAVA_HOME%" == "" goto noJavaHome
+if not exist "%JAVA_HOME%\bin\java.exe" goto noJavaHome
+goto checkServer
+
+:noJavaHome
+echo "You must set the JAVA_HOME variable before running CARBON."
+goto end
+
+rem ----- Only set CARBON_HOME if not already set ----------------------------
+:checkServer
+rem %~sdp0 is expanded pathname of the current script under NT with spaces in the path removed
+SET CARBON_HOME=%~sdp0..
+SET curDrive=%cd:~0,1%
+SET wsasDrive=%CARBON_HOME:~0,1%
+if not "%curDrive%" == "%wsasDrive%" %wsasDrive%:
+
+rem find CARBON_HOME if it does not exist due to either an invalid value passed
+rem by the user or the %0 problem on Windows 9x
+if not exist "%CARBON_HOME%\bin\version.txt" goto noServerHome
+
+set AXIS2_HOME=%CARBON_HOME%
+goto updateClasspath
+
+:noServerHome
+echo CARBON_HOME is set incorrectly or CARBON could not be located. Please set CARBON_HOME.
+goto end
+
+rem ----- update classpath -----------------------------------------------------
+:updateClasspath
+
+setlocal EnableDelayedExpansion
+cd %CARBON_HOME%
+set CARBON_CLASSPATH=
+FOR %%C in ("%CARBON_HOME%\bin\*.jar") DO set CARBON_CLASSPATH=!CARBON_CLASSPATH!;".\bin\%%~nC%%~xC"
+
+set CARBON_CLASSPATH="%JAVA_HOME%\lib\tools.jar";%CARBON_CLASSPATH%;
+
+FOR %%D in ("%CARBON_HOME%\wso2\lib\commons-lang*.jar") DO set CARBON_CLASSPATH=!CARBON_CLASSPATH!;".\lib\%%~nD%%~xD"
+
+rem ----- Process the input command -------------------------------------------
+
+rem Slurp the command line arguments. This loop allows for an unlimited number
+rem of arguments (up to the command line limit, anyway).
+
+
+:setupArgs
+if ""%1""=="""" goto doneStart
+
+if ""%1""==""-run"" goto commandLifecycle
+if ""%1""==""--run"" goto commandLifecycle
+if ""%1""==""run"" goto commandLifecycle
+
+if ""%1""==""-restart"" goto commandLifecycle
+if ""%1""==""--restart"" goto commandLifecycle
+if ""%1""==""restart"" goto commandLifecycle
+
+if ""%1""==""debug"" goto commandDebug
+if ""%1""==""-debug"" goto commandDebug
+if ""%1""==""--debug"" goto commandDebug
+
+if ""%1""==""version"" goto commandVersion
+if ""%1""==""-version"" goto commandVersion
+if ""%1""==""--version"" goto commandVersion
+
+shift
+goto setupArgs
+
+rem ----- commandVersion -------------------------------------------------------
+:commandVersion
+shift
+type "%CARBON_HOME%\bin\version.txt"
+type "%CARBON_HOME%\bin\wso2carbon-version.txt"
+goto end
+
+rem ----- commandDebug ---------------------------------------------------------
+:commandDebug
+shift
+set DEBUG_PORT=%1
+if "%DEBUG_PORT%"=="" goto noDebugPort
+if not "%JAVA_OPTS%"=="" echo Warning !!!. User specified JAVA_OPTS will be ignored, once you give the --debug option.
+set JAVA_OPTS=-Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=%DEBUG_PORT%
+echo Please start the remote debugging client to continue...
+goto findJdk
+
+:noDebugPort
+echo Please specify the debug port after the --debug option
+goto end
+
+rem ----- commandLifecycle -----------------------------------------------------
+:commandLifecycle
+goto findJdk
+
+:doneStart
+if "%OS%"=="Windows_NT" @setlocal
+if "%OS%"=="WINNT" @setlocal
+
+rem ---------- Handle the SSL Issue with proper JDK version --------------------
+rem find the version of the jdk
+:findJdk
+
+set CMD=RUN %*
+
+:checkJdk17
+"%JAVA_HOME%\bin\java" -version 2>&1 | findstr /r "1.[7|8]" >NUL
+IF ERRORLEVEL 1 goto unknownJdk
+goto jdk17
+
+:unknownJdk
+echo Starting WSO2 Carbon (in unsupported JDK)
+echo [ERROR] CARBON is supported only on JDK 1.7 and 1.8
+goto jdk17
+
+:jdk17
+goto runServer
+
+rem ----------------- Execute The Requested Command ----------------------------
+
+:runServer
+cd %CARBON_HOME%
+
+rem ------------------ Remove tmp folder on startup -----------------------------
+set TMP_DIR=%CARBON_HOME%\tmp
+cd "%TMP_DIR%"
+del *.* /s /q > nul
+FOR /d %%G in ("*.*") DO rmdir %%G /s /q
+cd ..
+
+rem ---------- Add jars to classpath ----------------
+
+set CARBON_CLASSPATH=.\lib;%CARBON_CLASSPATH%
+
+set JAVA_ENDORSED=".\wso2\lib\endorsed";"%JAVA_HOME%\jre\lib\endorsed";"%JAVA_HOME%\lib\endorsed"
+
+set profile=-Dprofile=http-gateway
+
+set CMD_LINE_ARGS=-Xbootclasspath/a:%CARBON_XBOOTCLASSPATH% -Xms256m -Xmx1024m -XX:MaxPermSize=256m -XX:+HeapDumpOnOutOfMemoryError -XX:HeapDumpPath="%CARBON_HOME%\repository\logs\heap-dump.hprof" -Dcom.sun.management.jmxremote -classpath %CARBON_CLASSPATH% %JAVA_OPTS% -Djava.endorsed.dirs=%JAVA_ENDORSED% -Dcarbon.registry.root=/ -Dcarbon.home="%CARBON_HOME%" -Dwso2.server.standalone=true -Djava.command="%JAVA_HOME%\bin\java" -Djava.opts="%JAVA_OPTS%" -Djava.io.tmpdir="%CARBON_HOME%\tmp" -Dlogger.server.name="IoT-Core" -Dcatalina.base="%CARBON_HOME%\wso2\lib\tomcat" -Djava.util.logging.config.file="%CARBON_HOME%\conf\etc\logging-bridge.properties" -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -Dcomponents.repo="%CARBON_HOME%\wso2\components\plugins" -Dcarbon.config.dir.path="%CARBON_HOME%\conf" -Dcarbon.components.dir.path="%CARBON_HOME%\wso2\components" -Dcarbon.extensions.dir.path="%CARBON_HOME%\extensions" -Dcarbon.dropins.dir.path="%CARBON_HOME%\dropins" -Dcarbon.external.lib.dir.path="%CARBON_HOME%\lib" -Dcarbon.patches.dir.path="%CARBON_HOME%\patches" -Dcarbon.servicepacks.dir.path="%CARBON_HOME%\servicepacks" -Dcarbon.internal.lib.dir.path="%CARBON_HOME%\wso2\lib" -Dconf.location="%CARBON_HOME%\conf" -Dcom.atomikos.icatch.file="%CARBON_HOME%\wso2\lib\transactions.properties" -Dcom.atomikos.icatch.hide_init_file_path=true -Dorg.apache.jasper.compiler.Parser.STRICT_QUOTE_ESCAPING=false -Dorg.apache.jasper.runtime.BodyContentImpl.LIMIT_BUFFER=true -Dcom.sun.jndi.ldap.connect.pool.authentication=simple -Dcom.sun.jndi.ldap.connect.pool.timeout=3000 -Dorg.terracotta.quartz.skipUpdateCheck=true -Djava.security.egd=file:/dev/./urandom -Dfile.encoding=UTF8 -Djava.net.preferIPv4Stack=true -Dcom.ibm.cacheLocalHost=true -DworkerNode=false -Dorg.wso2.ignoreHostnameVerification=true -Dorg.opensaml.httpclient.https.disableHostnameVerification=true -Diot.analytics.host="localhost" -Diot.analytics.https.port="9445" -Diot.manager.host="localhost" -Diot.manager.https.port="9443" -Dmqtt.broker.host="localhost" -Dmqtt.broker.port="1886" -Diot.core.host="localhost" -Diot.core.https.port="9443" -Diot.keymanager.host="localhost" -Diot.keymanager.https.port="9443" -Diot.gateway.host="localhost" -Diot.gateway.https.port="8243" -Diot.gateway.http.port="8280" -Diot.apimpublisher.host="localhost" -Diot.apimpublisher.https.port="9443" -Diot.apimstore.host="localhost" -Diot.apimstore.https.port="9443" %profile%
+:runJava
+echo JAVA_HOME environment variable is set to %JAVA_HOME%
+echo CARBON_HOME environment variable is set to %CARBON_HOME%
+"%JAVA_HOME%\bin\java" %CMD_LINE_ARGS% org.wso2.carbon.bootstrap.Bootstrap %CMD%
+if "%ERRORLEVEL%"=="121" goto runJava
+:end
+goto endlocal
+
+:endlocal
+
+:END
\ No newline at end of file
diff --git a/modules/distribution/src/core/resources/profiles/gateway/iot-server.sh b/modules/distribution/src/core/resources/profiles/gateway/iot-server.sh
new file mode 100755
index 00000000..d936025e
--- /dev/null
+++ b/modules/distribution/src/core/resources/profiles/gateway/iot-server.sh
@@ -0,0 +1,339 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Copyright 2005-2012 WSO2, Inc. http://www.wso2.org
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# ----------------------------------------------------------------------------
+# Main Script for the WSO2 Carbon Server
+#
+# Environment Variable Prequisites
+#
+# CARBON_HOME Home of WSO2 Carbon installation. If not set I will try
+# to figure it out.
+#
+# JAVA_HOME Must point at your Java Development Kit installation.
+#
+# JAVA_OPTS (Optional) Java runtime options used when the commands
+# is executed.
+#
+# NOTE: Borrowed generously from Apache Tomcat startup scripts.
+# -----------------------------------------------------------------------------
+
+# OS specific support. $var _must_ be set to either true or false.
+#ulimit -n 100000
+
+cygwin=false;
+darwin=false;
+os400=false;
+mingw=false;
+case "`uname`" in
+CYGWIN*) cygwin=true;;
+MINGW*) mingw=true;;
+OS400*) os400=true;;
+Darwin*) darwin=true
+ if [ -z "$JAVA_VERSION" ] ; then
+ JAVA_VERSION="CurrentJDK"
+ else
+ echo "Using Java version: $JAVA_VERSION"
+ fi
+ if [ -z "$JAVA_HOME" ] ; then
+ JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Versions/${JAVA_VERSION}/Home
+ fi
+ ;;
+esac
+
+# resolve links - $0 may be a softlink
+PRG="$0"
+
+while [ -h "$PRG" ]; do
+ ls=`ls -ld "$PRG"`
+ link=`expr "$ls" : '.*-> \(.*\)$'`
+ if expr "$link" : '.*/.*' > /dev/null; then
+ PRG="$link"
+ else
+ PRG=`dirname "$PRG"`/"$link"
+ fi
+done
+
+# Get standard environment variables
+PRGDIR=`dirname "$PRG"`
+
+# Only set CARBON_HOME if not already set
+[ -z "$CARBON_HOME" ] && CARBON_HOME=`cd "$PRGDIR/.." ; pwd`
+
+# Set AXIS2_HOME. Needed for One Click JAR Download
+AXIS2_HOME=$CARBON_HOME
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin; then
+ [ -n "$JAVA_HOME" ] && JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+ [ -n "$CARBON_HOME" ] && CARBON_HOME=`cygpath --unix "$CARBON_HOME"`
+ [ -n "$AXIS2_HOME" ] && CARBON_HOME=`cygpath --unix "$CARBON_HOME"`
+fi
+
+# For OS400
+if $os400; then
+ # Set job priority to standard for interactive (interactive - 6) by using
+ # the interactive priority - 6, the helper threads that respond to requests
+ # will be running at the same priority as interactive jobs.
+ COMMAND='chgjob job('$JOBNAME') runpty(6)'
+ system $COMMAND
+
+ # Enable multi threading
+ QIBM_MULTI_THREADED=Y
+ export QIBM_MULTI_THREADED
+fi
+
+# For Migwn, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+ [ -n "$CARBON_HOME" ] &&
+ CARBON_HOME="`(cd "$CARBON_HOME"; pwd)`"
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+ [ -n "$AXIS2_HOME" ] &&
+ CARBON_HOME="`(cd "$CARBON_HOME"; pwd)`"
+ # TODO classpath?
+fi
+
+if [ -z "$JAVACMD" ] ; then
+ if [ -n "$JAVA_HOME" ] ; then
+ if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+ # IBM's JDK on AIX uses strange locations for the executables
+ JAVACMD="$JAVA_HOME/jre/sh/java"
+ else
+ JAVACMD="$JAVA_HOME/bin/java"
+ fi
+ else
+ JAVACMD=java
+ fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+ echo "Error: JAVA_HOME is not defined correctly."
+ echo " CARBON cannot execute $JAVACMD"
+ exit 1
+fi
+
+# if JAVA_HOME is not set we're not happy
+if [ -z "$JAVA_HOME" ]; then
+ echo "You must set the JAVA_HOME variable before running CARBON."
+ exit 1
+fi
+
+if [ -e "$CARBON_HOME/wso2carbon.pid" ]; then
+ PID=`cat "$CARBON_HOME"/wso2carbon.pid`
+fi
+
+# ----- Process the input command ----------------------------------------------
+args=""
+for c in $*
+do
+ if [ "$c" = "--debug" ] || [ "$c" = "-debug" ] || [ "$c" = "debug" ]; then
+ CMD="--debug"
+ continue
+ elif [ "$CMD" = "--debug" ]; then
+ if [ -z "$PORT" ]; then
+ PORT=$c
+ fi
+ elif [ "$c" = "--stop" ] || [ "$c" = "-stop" ] || [ "$c" = "stop" ]; then
+ CMD="stop"
+ elif [ "$c" = "--start" ] || [ "$c" = "-start" ] || [ "$c" = "start" ]; then
+ CMD="start"
+ elif [ "$c" = "--version" ] || [ "$c" = "-version" ] || [ "$c" = "version" ]; then
+ CMD="version"
+ elif [ "$c" = "--restart" ] || [ "$c" = "-restart" ] || [ "$c" = "restart" ]; then
+ CMD="restart"
+ elif [ "$c" = "--test" ] || [ "$c" = "-test" ] || [ "$c" = "test" ]; then
+ CMD="test"
+ else
+ args="$args $c"
+ fi
+done
+
+if [ "$CMD" = "--debug" ]; then
+ if [ "$PORT" = "" ]; then
+ echo " Please specify the debug port after the --debug option"
+ exit 1
+ fi
+ if [ -n "$JAVA_OPTS" ]; then
+ echo "Warning !!!. User specified JAVA_OPTS will be ignored, once you give the --debug option."
+ fi
+ CMD="RUN"
+ JAVA_OPTS="-Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=$PORT"
+ echo "Please start the remote debugging client to continue..."
+elif [ "$CMD" = "start" ]; then
+ if [ -e "$CARBON_HOME/wso2carbon.pid" ]; then
+ if ps -p $PID > /dev/null ; then
+ echo "Process is already running"
+ exit 0
+ fi
+ fi
+ export CARBON_HOME=$CARBON_HOME
+# using nohup sh to avoid erros in solaris OS.TODO
+ nohup sh $CARBON_HOME/bin/wso2server.sh $args > /dev/null 2>&1 &
+ exit 0
+elif [ "$CMD" = "stop" ]; then
+ export CARBON_HOME=$CARBON_HOME
+ kill -term `cat $CARBON_HOME/wso2carbon.pid`
+ exit 0
+elif [ "$CMD" = "restart" ]; then
+ export CARBON_HOME=$CARBON_HOME
+ kill -term `cat $CARBON_HOME/wso2carbon.pid`
+ process_status=0
+ pid=`cat $CARBON_HOME/wso2carbon.pid`
+ while [ "$process_status" -eq "0" ]
+ do
+ sleep 1;
+ ps -p$pid 2>&1 > /dev/null
+ process_status=$?
+ done
+
+# using nohup sh to avoid erros in solaris OS.TODO
+ nohup sh $CARBON_HOME/bin/wso2server.sh $args > /dev/null 2>&1 &
+ exit 0
+elif [ "$CMD" = "test" ]; then
+ JAVACMD="exec "$JAVACMD""
+elif [ "$CMD" = "version" ]; then
+ cat $CARBON_HOME/bin/version.txt
+ cat $CARBON_HOME/bin/wso2carbon-version.txt
+ exit 0
+fi
+
+# ---------- Handle the SSL Issue with proper JDK version --------------------
+jdk_17=`$JAVA_HOME/bin/java -version 2>&1 | grep "1.[7|8]"`
+if [ "$jdk_17" = "" ]; then
+ echo " Starting WSO2 Carbon (in unsupported JDK)"
+ echo " [ERROR] CARBON is supported only on JDK 1.7 and 1.8"
+fi
+
+CARBON_XBOOTCLASSPATH=""
+for f in "$CARBON_HOME"/wso2/lib/xboot/*.jar
+do
+ if [ "$f" != "$CARBON_HOME/wso2/lib/xboot/*.jar" ];then
+ CARBON_XBOOTCLASSPATH="$CARBON_XBOOTCLASSPATH":$f
+ fi
+done
+
+JAVA_ENDORSED_DIRS="$CARBON_HOME/wso2/lib/endorsed":"$JAVA_HOME/jre/lib/endorsed":"$JAVA_HOME/wso2/lib/endorsed"
+
+CARBON_CLASSPATH=""
+if [ -e "$JAVA_HOME/lib/tools.jar" ]; then
+ CARBON_CLASSPATH="$JAVA_HOME/lib/tools.jar"
+fi
+for f in "$CARBON_HOME"/bin/*.jar
+do
+ if [ "$f" != "$CARBON_HOME/bin/*.jar" ];then
+ CARBON_CLASSPATH="$CARBON_CLASSPATH":$f
+ fi
+done
+for t in "$CARBON_HOME"/wso2/lib/commons-lang*.jar
+do
+ CARBON_CLASSPATH="$CARBON_CLASSPATH":$t
+done
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+ JAVA_HOME=`cygpath --absolute --windows "$JAVA_HOME"`
+ CARBON_HOME=`cygpath --absolute --windows "$CARBON_HOME"`
+ AXIS2_HOME=`cygpath --absolute --windows "$CARBON_HOME"`
+ CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+ JAVA_ENDORSED_DIRS=`cygpath --path --windows "$JAVA_ENDORSED_DIRS"`
+ CARBON_CLASSPATH=`cygpath --path --windows "$CARBON_CLASSPATH"`
+ CARBON_XBOOTCLASSPATH=`cygpath --path --windows "$CARBON_XBOOTCLASSPATH"`
+fi
+
+# ----- Execute The Requested Command -----------------------------------------
+
+echo JAVA_HOME environment variable is set to $JAVA_HOME
+echo CARBON_HOME environment variable is set to $CARBON_HOME
+
+cd "$CARBON_HOME"
+
+TMP_DIR=$CARBON_HOME/tmp
+if [ -d "$TMP_DIR" ]; then
+rm -rf "$TMP_DIR"
+fi
+
+START_EXIT_STATUS=121
+status=$START_EXIT_STATUS
+
+#setting up profile parameter for runtime http-gateway
+NODE_PARAMS="-Dprofile=http-gateway"
+
+#To monitor a Carbon server in remote JMX mode on linux host machines, set the below system property.
+# -Djava.rmi.server.hostname="your.IP.goes.here"
+
+while [ "$status" = "$START_EXIT_STATUS" ]
+do
+ $JAVACMD \
+ -Xbootclasspath/a:"$CARBON_XBOOTCLASSPATH" \
+ -Xms256m -Xmx1024m -XX:MaxPermSize=512m \
+ -XX:+HeapDumpOnOutOfMemoryError \
+ -XX:HeapDumpPath="$CARBON_HOME/repository/logs/heap-dump.hprof" \
+ $JAVA_OPTS \
+ -Dcom.sun.management.jmxremote \
+ -classpath "$CARBON_CLASSPATH" \
+ -Djava.endorsed.dirs="$JAVA_ENDORSED_DIRS" \
+ -Djava.io.tmpdir="$CARBON_HOME/wso2/tmp" \
+ -Dcatalina.base="$CARBON_HOME/wso2/lib/tomcat" \
+ -Dwso2.server.standalone=true \
+ -Dcarbon.registry.root=/ \
+ -Djava.command="$JAVACMD" \
+ -Dcarbon.home="$CARBON_HOME" \
+ -Dlogger.server.name="IoT-Core" \
+ -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager \
+ -Dcarbon.config.dir.path="$CARBON_HOME/conf" \
+ -Dcarbon.components.dir.path="$CARBON_HOME/wso2/components" \
+ -Dcarbon.dropins.dir.path="$CARBON_HOME/dropins" \
+ -Dcarbon.external.lib.dir.path="$CARBON_HOME/lib" \
+ -Dcarbon.patches.dir.path="$CARBON_HOME/patches" \
+ -Dcarbon.servicepacks.dir.path="$CARBON_HOME/servicepacks" \
+ -Dcarbon.internal.lib.dir.path="$CARBON_HOME/wso2/lib" \
+ -Djava.util.logging.config.file="$CARBON_HOME/conf/etc/logging-bridge.properties" \
+ -Dcomponents.repo="$CARBON_HOME/wso2/components/plugins" \
+ -Dconf.location="$CARBON_HOME/conf"\
+ -Dcom.atomikos.icatch.file="$CARBON_HOME/wso2/lib/transactions.properties" \
+ -Dcom.atomikos.icatch.hide_init_file_path=true \
+ -Dorg.apache.jasper.compiler.Parser.STRICT_QUOTE_ESCAPING=false \
+ -Dorg.apache.jasper.runtime.BodyContentImpl.LIMIT_BUFFER=true \
+ -Dcom.sun.jndi.ldap.connect.pool.authentication=simple \
+ -Dcom.sun.jndi.ldap.connect.pool.timeout=3000 \
+ -Dorg.terracotta.quartz.skipUpdateCheck=true \
+ -Djava.security.egd=file:/dev/./urandom \
+ -Dfile.encoding=UTF8 \
+ -Djava.net.preferIPv4Stack=true \
+ -Dcom.ibm.cacheLocalHost=true \
+ -DworkerNode=false \
+ -Dorg.wso2.ignoreHostnameVerification=true \
+ -Dorg.opensaml.httpclient.https.disableHostnameVerification=true \
+ -Diot.analytics.host="localhost" \
+ -Diot.analytics.https.port="9445" \
+ -Diot.manager.host="localhost" \
+ -Diot.manager.https.port="9443" \
+ -Dmqtt.broker.host="localhost" \
+ -Dmqtt.broker.port="1886" \
+ -Diot.core.host="localhost" \
+ -Diot.core.https.port="9443" \
+ -Diot.keymanager.host="localhost" \
+ -Diot.keymanager.https.port="9443" \
+ -Diot.gateway.host="localhost" \
+ -Diot.gateway.https.port="8243" \
+ -Diot.gateway.http.port="8280" \
+ -Diot.apimpublisher.host="localhost" \
+ -Diot.apimpublisher.https.port="9443" \
+ -Diot.apimstore.host="localhost" \
+ -Diot.apimstore.https.port="9443" \
+ $NODE_PARAMS \
+ org.wso2.carbon.bootstrap.Bootstrap $*
+ status=$?
+done
diff --git a/modules/distribution/src/core/resources/profiles/keymanager/iot-server.bat b/modules/distribution/src/core/resources/profiles/keymanager/iot-server.bat
new file mode 100644
index 00000000..3105ae6b
--- /dev/null
+++ b/modules/distribution/src/core/resources/profiles/keymanager/iot-server.bat
@@ -0,0 +1,182 @@
+@echo off
+
+REM ---------------------------------------------------------------------------
+REM Copyright 2005-2009 WSO2, Inc. http://www.wso2.org
+REM
+REM Licensed under the Apache License, Version 2.0 (the "License");
+REM you may not use this file except in compliance with the License.
+REM You may obtain a copy of the License at
+REM
+REM http://www.apache.org/licenses/LICENSE-2.0
+REM
+REM Unless required by applicable law or agreed to in writing, software
+REM distributed under the License is distributed on an "AS IS" BASIS,
+REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+REM See the License for the specific language governing permissions and
+REM limitations under the License.
+
+rem ---------------------------------------------------------------------------
+rem Main Script for WSO2 Carbon
+rem
+rem Environment Variable Prequisites
+rem
+rem CARBON_HOME Home of CARBON installation. If not set I will try
+rem to figure it out.
+rem
+rem
+rem JAVA_HOME Must point at your Java Development Kit installation.
+rem
+rem JAVA_OPTS (Optional) Java runtime options used when the commands
+rem is executed.
+rem ---------------------------------------------------------------------------
+
+rem ----- if JAVA_HOME is not set we're not happy ------------------------------
+:checkJava
+
+if "%JAVA_HOME%" == "" goto noJavaHome
+if not exist "%JAVA_HOME%\bin\java.exe" goto noJavaHome
+goto checkServer
+
+:noJavaHome
+echo "You must set the JAVA_HOME variable before running CARBON."
+goto end
+
+rem ----- Only set CARBON_HOME if not already set ----------------------------
+:checkServer
+rem %~sdp0 is expanded pathname of the current script under NT with spaces in the path removed
+SET CARBON_HOME=%~sdp0..
+SET curDrive=%cd:~0,1%
+SET wsasDrive=%CARBON_HOME:~0,1%
+if not "%curDrive%" == "%wsasDrive%" %wsasDrive%:
+
+rem find CARBON_HOME if it does not exist due to either an invalid value passed
+rem by the user or the %0 problem on Windows 9x
+if not exist "%CARBON_HOME%\bin\version.txt" goto noServerHome
+
+set AXIS2_HOME=%CARBON_HOME%
+goto updateClasspath
+
+:noServerHome
+echo CARBON_HOME is set incorrectly or CARBON could not be located. Please set CARBON_HOME.
+goto end
+
+rem ----- update classpath -----------------------------------------------------
+:updateClasspath
+
+setlocal EnableDelayedExpansion
+cd %CARBON_HOME%
+set CARBON_CLASSPATH=
+FOR %%C in ("%CARBON_HOME%\bin\*.jar") DO set CARBON_CLASSPATH=!CARBON_CLASSPATH!;".\bin\%%~nC%%~xC"
+
+set CARBON_CLASSPATH="%JAVA_HOME%\lib\tools.jar";%CARBON_CLASSPATH%;
+
+FOR %%D in ("%CARBON_HOME%\wso2\lib\commons-lang*.jar") DO set CARBON_CLASSPATH=!CARBON_CLASSPATH!;".\lib\%%~nD%%~xD"
+
+rem ----- Process the input command -------------------------------------------
+
+rem Slurp the command line arguments. This loop allows for an unlimited number
+rem of arguments (up to the command line limit, anyway).
+
+
+:setupArgs
+if ""%1""=="""" goto doneStart
+
+if ""%1""==""-run"" goto commandLifecycle
+if ""%1""==""--run"" goto commandLifecycle
+if ""%1""==""run"" goto commandLifecycle
+
+if ""%1""==""-restart"" goto commandLifecycle
+if ""%1""==""--restart"" goto commandLifecycle
+if ""%1""==""restart"" goto commandLifecycle
+
+if ""%1""==""debug"" goto commandDebug
+if ""%1""==""-debug"" goto commandDebug
+if ""%1""==""--debug"" goto commandDebug
+
+if ""%1""==""version"" goto commandVersion
+if ""%1""==""-version"" goto commandVersion
+if ""%1""==""--version"" goto commandVersion
+
+shift
+goto setupArgs
+
+rem ----- commandVersion -------------------------------------------------------
+:commandVersion
+shift
+type "%CARBON_HOME%\bin\version.txt"
+type "%CARBON_HOME%\bin\wso2carbon-version.txt"
+goto end
+
+rem ----- commandDebug ---------------------------------------------------------
+:commandDebug
+shift
+set DEBUG_PORT=%1
+if "%DEBUG_PORT%"=="" goto noDebugPort
+if not "%JAVA_OPTS%"=="" echo Warning !!!. User specified JAVA_OPTS will be ignored, once you give the --debug option.
+set JAVA_OPTS=-Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=%DEBUG_PORT%
+echo Please start the remote debugging client to continue...
+goto findJdk
+
+:noDebugPort
+echo Please specify the debug port after the --debug option
+goto end
+
+rem ----- commandLifecycle -----------------------------------------------------
+:commandLifecycle
+goto findJdk
+
+:doneStart
+if "%OS%"=="Windows_NT" @setlocal
+if "%OS%"=="WINNT" @setlocal
+
+rem ---------- Handle the SSL Issue with proper JDK version --------------------
+rem find the version of the jdk
+:findJdk
+
+set CMD=RUN %*
+
+:checkJdk17
+"%JAVA_HOME%\bin\java" -version 2>&1 | findstr /r "1.[7|8]" >NUL
+IF ERRORLEVEL 1 goto unknownJdk
+goto jdk17
+
+:unknownJdk
+echo Starting WSO2 Carbon (in unsupported JDK)
+echo [ERROR] CARBON is supported only on JDK 1.7 and 1.8
+goto jdk17
+
+:jdk17
+goto runServer
+
+rem ----------------- Execute The Requested Command ----------------------------
+
+:runServer
+cd %CARBON_HOME%
+
+rem ------------------ Remove tmp folder on startup -----------------------------
+set TMP_DIR=%CARBON_HOME%\tmp
+cd "%TMP_DIR%"
+del *.* /s /q > nul
+FOR /d %%G in ("*.*") DO rmdir %%G /s /q
+cd ..
+
+rem ---------- Add jars to classpath ----------------
+
+set CARBON_CLASSPATH=.\lib;%CARBON_CLASSPATH%
+
+set JAVA_ENDORSED=".\wso2\lib\endorsed";"%JAVA_HOME%\jre\lib\endorsed";"%JAVA_HOME%\lib\endorsed"
+
+set profile=-Dprofile=device-key-manager
+
+set CMD_LINE_ARGS=-Xbootclasspath/a:%CARBON_XBOOTCLASSPATH% -Xms256m -Xmx1024m -XX:MaxPermSize=256m -XX:+HeapDumpOnOutOfMemoryError -XX:HeapDumpPath="%CARBON_HOME%\repository\logs\heap-dump.hprof" -Dcom.sun.management.jmxremote -classpath %CARBON_CLASSPATH% %JAVA_OPTS% -Djava.endorsed.dirs=%JAVA_ENDORSED% -Dcarbon.registry.root=/ -Dcarbon.home="%CARBON_HOME%" -Dwso2.server.standalone=true -Djava.command="%JAVA_HOME%\bin\java" -Djava.opts="%JAVA_OPTS%" -Djava.io.tmpdir="%CARBON_HOME%\tmp" -Dlogger.server.name="IoT-Core" -Dcatalina.base="%CARBON_HOME%\wso2\lib\tomcat" -Djava.util.logging.config.file="%CARBON_HOME%\conf\etc\logging-bridge.properties" -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -Dcomponents.repo="%CARBON_HOME%\wso2\components\plugins" -Dcarbon.config.dir.path="%CARBON_HOME%\conf" -Dcarbon.components.dir.path="%CARBON_HOME%\wso2\components" -Dcarbon.extensions.dir.path="%CARBON_HOME%\extensions" -Dcarbon.dropins.dir.path="%CARBON_HOME%\dropins" -Dcarbon.external.lib.dir.path="%CARBON_HOME%\lib" -Dcarbon.patches.dir.path="%CARBON_HOME%\patches" -Dcarbon.servicepacks.dir.path="%CARBON_HOME%\servicepacks" -Dcarbon.internal.lib.dir.path="%CARBON_HOME%\wso2\lib" -Dconf.location="%CARBON_HOME%\conf" -Dcom.atomikos.icatch.file="%CARBON_HOME%\wso2\lib\transactions.properties" -Dcom.atomikos.icatch.hide_init_file_path=true -Dorg.apache.jasper.compiler.Parser.STRICT_QUOTE_ESCAPING=false -Dorg.apache.jasper.runtime.BodyContentImpl.LIMIT_BUFFER=true -Dcom.sun.jndi.ldap.connect.pool.authentication=simple -Dcom.sun.jndi.ldap.connect.pool.timeout=3000 -Dorg.terracotta.quartz.skipUpdateCheck=true -Djava.security.egd=file:/dev/./urandom -Dfile.encoding=UTF8 -Djava.net.preferIPv4Stack=true -Dcom.ibm.cacheLocalHost=true -DworkerNode=false -Dorg.wso2.ignoreHostnameVerification=true -Dorg.opensaml.httpclient.https.disableHostnameVerification=true -Diot.analytics.host="localhost" -Diot.analytics.https.port="9445" -Diot.manager.host="localhost" -Diot.manager.https.port="9443" -Dmqtt.broker.host="localhost" -Dmqtt.broker.port="1886" -Diot.core.host="localhost" -Diot.core.https.port="9443" -Diot.keymanager.host="localhost" -Diot.keymanager.https.port="9443" -Diot.gateway.host="localhost" -Diot.gateway.https.port="8243" -Diot.gateway.http.port="8280" -Diot.apimpublisher.host="localhost" -Diot.apimpublisher.https.port="9443" -Diot.apimstore.host="localhost" -Diot.apimstore.https.port="9443" %profile%
+:runJava
+echo JAVA_HOME environment variable is set to %JAVA_HOME%
+echo CARBON_HOME environment variable is set to %CARBON_HOME%
+"%JAVA_HOME%\bin\java" %CMD_LINE_ARGS% org.wso2.carbon.bootstrap.Bootstrap %CMD%
+if "%ERRORLEVEL%"=="121" goto runJava
+:end
+goto endlocal
+
+:endlocal
+
+:END
\ No newline at end of file
diff --git a/modules/distribution/src/core/resources/profiles/keymanager/iot-server.sh b/modules/distribution/src/core/resources/profiles/keymanager/iot-server.sh
new file mode 100755
index 00000000..daddb52b
--- /dev/null
+++ b/modules/distribution/src/core/resources/profiles/keymanager/iot-server.sh
@@ -0,0 +1,339 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Copyright 2005-2012 WSO2, Inc. http://www.wso2.org
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# ----------------------------------------------------------------------------
+# Main Script for the WSO2 Carbon Server
+#
+# Environment Variable Prequisites
+#
+# CARBON_HOME Home of WSO2 Carbon installation. If not set I will try
+# to figure it out.
+#
+# JAVA_HOME Must point at your Java Development Kit installation.
+#
+# JAVA_OPTS (Optional) Java runtime options used when the commands
+# is executed.
+#
+# NOTE: Borrowed generously from Apache Tomcat startup scripts.
+# -----------------------------------------------------------------------------
+
+# OS specific support. $var _must_ be set to either true or false.
+#ulimit -n 100000
+
+cygwin=false;
+darwin=false;
+os400=false;
+mingw=false;
+case "`uname`" in
+CYGWIN*) cygwin=true;;
+MINGW*) mingw=true;;
+OS400*) os400=true;;
+Darwin*) darwin=true
+ if [ -z "$JAVA_VERSION" ] ; then
+ JAVA_VERSION="CurrentJDK"
+ else
+ echo "Using Java version: $JAVA_VERSION"
+ fi
+ if [ -z "$JAVA_HOME" ] ; then
+ JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Versions/${JAVA_VERSION}/Home
+ fi
+ ;;
+esac
+
+# resolve links - $0 may be a softlink
+PRG="$0"
+
+while [ -h "$PRG" ]; do
+ ls=`ls -ld "$PRG"`
+ link=`expr "$ls" : '.*-> \(.*\)$'`
+ if expr "$link" : '.*/.*' > /dev/null; then
+ PRG="$link"
+ else
+ PRG=`dirname "$PRG"`/"$link"
+ fi
+done
+
+# Get standard environment variables
+PRGDIR=`dirname "$PRG"`
+
+# Only set CARBON_HOME if not already set
+[ -z "$CARBON_HOME" ] && CARBON_HOME=`cd "$PRGDIR/.." ; pwd`
+
+# Set AXIS2_HOME. Needed for One Click JAR Download
+AXIS2_HOME=$CARBON_HOME
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin; then
+ [ -n "$JAVA_HOME" ] && JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+ [ -n "$CARBON_HOME" ] && CARBON_HOME=`cygpath --unix "$CARBON_HOME"`
+ [ -n "$AXIS2_HOME" ] && CARBON_HOME=`cygpath --unix "$CARBON_HOME"`
+fi
+
+# For OS400
+if $os400; then
+ # Set job priority to standard for interactive (interactive - 6) by using
+ # the interactive priority - 6, the helper threads that respond to requests
+ # will be running at the same priority as interactive jobs.
+ COMMAND='chgjob job('$JOBNAME') runpty(6)'
+ system $COMMAND
+
+ # Enable multi threading
+ QIBM_MULTI_THREADED=Y
+ export QIBM_MULTI_THREADED
+fi
+
+# For Migwn, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+ [ -n "$CARBON_HOME" ] &&
+ CARBON_HOME="`(cd "$CARBON_HOME"; pwd)`"
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+ [ -n "$AXIS2_HOME" ] &&
+ CARBON_HOME="`(cd "$CARBON_HOME"; pwd)`"
+ # TODO classpath?
+fi
+
+if [ -z "$JAVACMD" ] ; then
+ if [ -n "$JAVA_HOME" ] ; then
+ if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+ # IBM's JDK on AIX uses strange locations for the executables
+ JAVACMD="$JAVA_HOME/jre/sh/java"
+ else
+ JAVACMD="$JAVA_HOME/bin/java"
+ fi
+ else
+ JAVACMD=java
+ fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+ echo "Error: JAVA_HOME is not defined correctly."
+ echo " CARBON cannot execute $JAVACMD"
+ exit 1
+fi
+
+# if JAVA_HOME is not set we're not happy
+if [ -z "$JAVA_HOME" ]; then
+ echo "You must set the JAVA_HOME variable before running CARBON."
+ exit 1
+fi
+
+if [ -e "$CARBON_HOME/wso2carbon.pid" ]; then
+ PID=`cat "$CARBON_HOME"/wso2carbon.pid`
+fi
+
+# ----- Process the input command ----------------------------------------------
+args=""
+for c in $*
+do
+ if [ "$c" = "--debug" ] || [ "$c" = "-debug" ] || [ "$c" = "debug" ]; then
+ CMD="--debug"
+ continue
+ elif [ "$CMD" = "--debug" ]; then
+ if [ -z "$PORT" ]; then
+ PORT=$c
+ fi
+ elif [ "$c" = "--stop" ] || [ "$c" = "-stop" ] || [ "$c" = "stop" ]; then
+ CMD="stop"
+ elif [ "$c" = "--start" ] || [ "$c" = "-start" ] || [ "$c" = "start" ]; then
+ CMD="start"
+ elif [ "$c" = "--version" ] || [ "$c" = "-version" ] || [ "$c" = "version" ]; then
+ CMD="version"
+ elif [ "$c" = "--restart" ] || [ "$c" = "-restart" ] || [ "$c" = "restart" ]; then
+ CMD="restart"
+ elif [ "$c" = "--test" ] || [ "$c" = "-test" ] || [ "$c" = "test" ]; then
+ CMD="test"
+ else
+ args="$args $c"
+ fi
+done
+
+if [ "$CMD" = "--debug" ]; then
+ if [ "$PORT" = "" ]; then
+ echo " Please specify the debug port after the --debug option"
+ exit 1
+ fi
+ if [ -n "$JAVA_OPTS" ]; then
+ echo "Warning !!!. User specified JAVA_OPTS will be ignored, once you give the --debug option."
+ fi
+ CMD="RUN"
+ JAVA_OPTS="-Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=$PORT"
+ echo "Please start the remote debugging client to continue..."
+elif [ "$CMD" = "start" ]; then
+ if [ -e "$CARBON_HOME/wso2carbon.pid" ]; then
+ if ps -p $PID > /dev/null ; then
+ echo "Process is already running"
+ exit 0
+ fi
+ fi
+ export CARBON_HOME=$CARBON_HOME
+# using nohup sh to avoid erros in solaris OS.TODO
+ nohup sh $CARBON_HOME/bin/wso2server.sh $args > /dev/null 2>&1 &
+ exit 0
+elif [ "$CMD" = "stop" ]; then
+ export CARBON_HOME=$CARBON_HOME
+ kill -term `cat $CARBON_HOME/wso2carbon.pid`
+ exit 0
+elif [ "$CMD" = "restart" ]; then
+ export CARBON_HOME=$CARBON_HOME
+ kill -term `cat $CARBON_HOME/wso2carbon.pid`
+ process_status=0
+ pid=`cat $CARBON_HOME/wso2carbon.pid`
+ while [ "$process_status" -eq "0" ]
+ do
+ sleep 1;
+ ps -p$pid 2>&1 > /dev/null
+ process_status=$?
+ done
+
+# using nohup sh to avoid erros in solaris OS.TODO
+ nohup sh $CARBON_HOME/bin/wso2server.sh $args > /dev/null 2>&1 &
+ exit 0
+elif [ "$CMD" = "test" ]; then
+ JAVACMD="exec "$JAVACMD""
+elif [ "$CMD" = "version" ]; then
+ cat $CARBON_HOME/bin/version.txt
+ cat $CARBON_HOME/bin/wso2carbon-version.txt
+ exit 0
+fi
+
+# ---------- Handle the SSL Issue with proper JDK version --------------------
+jdk_17=`$JAVA_HOME/bin/java -version 2>&1 | grep "1.[7|8]"`
+if [ "$jdk_17" = "" ]; then
+ echo " Starting WSO2 Carbon (in unsupported JDK)"
+ echo " [ERROR] CARBON is supported only on JDK 1.7 and 1.8"
+fi
+
+CARBON_XBOOTCLASSPATH=""
+for f in "$CARBON_HOME"/wso2/lib/xboot/*.jar
+do
+ if [ "$f" != "$CARBON_HOME/wso2/lib/xboot/*.jar" ];then
+ CARBON_XBOOTCLASSPATH="$CARBON_XBOOTCLASSPATH":$f
+ fi
+done
+
+JAVA_ENDORSED_DIRS="$CARBON_HOME/wso2/lib/endorsed":"$JAVA_HOME/jre/lib/endorsed":"$JAVA_HOME/wso2/lib/endorsed"
+
+CARBON_CLASSPATH=""
+if [ -e "$JAVA_HOME/lib/tools.jar" ]; then
+ CARBON_CLASSPATH="$JAVA_HOME/lib/tools.jar"
+fi
+for f in "$CARBON_HOME"/bin/*.jar
+do
+ if [ "$f" != "$CARBON_HOME/bin/*.jar" ];then
+ CARBON_CLASSPATH="$CARBON_CLASSPATH":$f
+ fi
+done
+for t in "$CARBON_HOME"/wso2/lib/commons-lang*.jar
+do
+ CARBON_CLASSPATH="$CARBON_CLASSPATH":$t
+done
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+ JAVA_HOME=`cygpath --absolute --windows "$JAVA_HOME"`
+ CARBON_HOME=`cygpath --absolute --windows "$CARBON_HOME"`
+ AXIS2_HOME=`cygpath --absolute --windows "$CARBON_HOME"`
+ CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+ JAVA_ENDORSED_DIRS=`cygpath --path --windows "$JAVA_ENDORSED_DIRS"`
+ CARBON_CLASSPATH=`cygpath --path --windows "$CARBON_CLASSPATH"`
+ CARBON_XBOOTCLASSPATH=`cygpath --path --windows "$CARBON_XBOOTCLASSPATH"`
+fi
+
+# ----- Execute The Requested Command -----------------------------------------
+
+echo JAVA_HOME environment variable is set to $JAVA_HOME
+echo CARBON_HOME environment variable is set to $CARBON_HOME
+
+cd "$CARBON_HOME"
+
+TMP_DIR=$CARBON_HOME/tmp
+if [ -d "$TMP_DIR" ]; then
+rm -rf "$TMP_DIR"
+fi
+
+START_EXIT_STATUS=121
+status=$START_EXIT_STATUS
+
+#setting up profile parameter for runtime http-gateway
+NODE_PARAMS="-Dprofile=device-key-manager"
+
+#To monitor a Carbon server in remote JMX mode on linux host machines, set the below system property.
+# -Djava.rmi.server.hostname="your.IP.goes.here"
+
+while [ "$status" = "$START_EXIT_STATUS" ]
+do
+ $JAVACMD \
+ -Xbootclasspath/a:"$CARBON_XBOOTCLASSPATH" \
+ -Xms256m -Xmx1024m -XX:MaxPermSize=512m \
+ -XX:+HeapDumpOnOutOfMemoryError \
+ -XX:HeapDumpPath="$CARBON_HOME/repository/logs/heap-dump.hprof" \
+ $JAVA_OPTS \
+ -Dcom.sun.management.jmxremote \
+ -classpath "$CARBON_CLASSPATH" \
+ -Djava.endorsed.dirs="$JAVA_ENDORSED_DIRS" \
+ -Djava.io.tmpdir="$CARBON_HOME/wso2/tmp" \
+ -Dcatalina.base="$CARBON_HOME/wso2/lib/tomcat" \
+ -Dwso2.server.standalone=true \
+ -Dcarbon.registry.root=/ \
+ -Djava.command="$JAVACMD" \
+ -Dcarbon.home="$CARBON_HOME" \
+ -Dlogger.server.name="IoT-Core" \
+ -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager \
+ -Dcarbon.config.dir.path="$CARBON_HOME/conf" \
+ -Dcarbon.components.dir.path="$CARBON_HOME/wso2/components" \
+ -Dcarbon.dropins.dir.path="$CARBON_HOME/dropins" \
+ -Dcarbon.external.lib.dir.path="$CARBON_HOME/lib" \
+ -Dcarbon.patches.dir.path="$CARBON_HOME/patches" \
+ -Dcarbon.servicepacks.dir.path="$CARBON_HOME/servicepacks" \
+ -Dcarbon.internal.lib.dir.path="$CARBON_HOME/wso2/lib" \
+ -Djava.util.logging.config.file="$CARBON_HOME/conf/etc/logging-bridge.properties" \
+ -Dcomponents.repo="$CARBON_HOME/wso2/components/plugins" \
+ -Dconf.location="$CARBON_HOME/conf"\
+ -Dcom.atomikos.icatch.file="$CARBON_HOME/wso2/lib/transactions.properties" \
+ -Dcom.atomikos.icatch.hide_init_file_path=true \
+ -Dorg.apache.jasper.compiler.Parser.STRICT_QUOTE_ESCAPING=false \
+ -Dorg.apache.jasper.runtime.BodyContentImpl.LIMIT_BUFFER=true \
+ -Dcom.sun.jndi.ldap.connect.pool.authentication=simple \
+ -Dcom.sun.jndi.ldap.connect.pool.timeout=3000 \
+ -Dorg.terracotta.quartz.skipUpdateCheck=true \
+ -Djava.security.egd=file:/dev/./urandom \
+ -Dfile.encoding=UTF8 \
+ -Djava.net.preferIPv4Stack=true \
+ -Dcom.ibm.cacheLocalHost=true \
+ -DworkerNode=false \
+ -Dorg.wso2.ignoreHostnameVerification=true \
+ -Dorg.opensaml.httpclient.https.disableHostnameVerification=true \
+ -Diot.analytics.host="localhost" \
+ -Diot.analytics.https.port="9445" \
+ -Diot.manager.host="localhost" \
+ -Diot.manager.https.port="9443" \
+ -Dmqtt.broker.host="localhost" \
+ -Dmqtt.broker.port="1886" \
+ -Diot.core.host="localhost" \
+ -Diot.core.https.port="9443" \
+ -Diot.keymanager.host="localhost" \
+ -Diot.keymanager.https.port="9443" \
+ -Diot.gateway.host="localhost" \
+ -Diot.gateway.https.port="8243" \
+ -Diot.gateway.http.port="8280" \
+ -Diot.apimpublisher.host="localhost" \
+ -Diot.apimpublisher.https.port="9443" \
+ -Diot.apimstore.host="localhost" \
+ -Diot.apimstore.https.port="9443" \
+ $NODE_PARAMS \
+ org.wso2.carbon.bootstrap.Bootstrap $*
+ status=$?
+done
diff --git a/modules/distribution/src/core/resources/profiles/manager/iot-server.bat b/modules/distribution/src/core/resources/profiles/manager/iot-server.bat
new file mode 100644
index 00000000..cc61ba3f
--- /dev/null
+++ b/modules/distribution/src/core/resources/profiles/manager/iot-server.bat
@@ -0,0 +1,182 @@
+@echo off
+
+REM ---------------------------------------------------------------------------
+REM Copyright 2005-2009 WSO2, Inc. http://www.wso2.org
+REM
+REM Licensed under the Apache License, Version 2.0 (the "License");
+REM you may not use this file except in compliance with the License.
+REM You may obtain a copy of the License at
+REM
+REM http://www.apache.org/licenses/LICENSE-2.0
+REM
+REM Unless required by applicable law or agreed to in writing, software
+REM distributed under the License is distributed on an "AS IS" BASIS,
+REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+REM See the License for the specific language governing permissions and
+REM limitations under the License.
+
+rem ---------------------------------------------------------------------------
+rem Main Script for WSO2 Carbon
+rem
+rem Environment Variable Prequisites
+rem
+rem CARBON_HOME Home of CARBON installation. If not set I will try
+rem to figure it out.
+rem
+rem
+rem JAVA_HOME Must point at your Java Development Kit installation.
+rem
+rem JAVA_OPTS (Optional) Java runtime options used when the commands
+rem is executed.
+rem ---------------------------------------------------------------------------
+
+rem ----- if JAVA_HOME is not set we're not happy ------------------------------
+:checkJava
+
+if "%JAVA_HOME%" == "" goto noJavaHome
+if not exist "%JAVA_HOME%\bin\java.exe" goto noJavaHome
+goto checkServer
+
+:noJavaHome
+echo "You must set the JAVA_HOME variable before running CARBON."
+goto end
+
+rem ----- Only set CARBON_HOME if not already set ----------------------------
+:checkServer
+rem %~sdp0 is expanded pathname of the current script under NT with spaces in the path removed
+SET CARBON_HOME=%~sdp0..
+SET curDrive=%cd:~0,1%
+SET wsasDrive=%CARBON_HOME:~0,1%
+if not "%curDrive%" == "%wsasDrive%" %wsasDrive%:
+
+rem find CARBON_HOME if it does not exist due to either an invalid value passed
+rem by the user or the %0 problem on Windows 9x
+if not exist "%CARBON_HOME%\bin\version.txt" goto noServerHome
+
+set AXIS2_HOME=%CARBON_HOME%
+goto updateClasspath
+
+:noServerHome
+echo CARBON_HOME is set incorrectly or CARBON could not be located. Please set CARBON_HOME.
+goto end
+
+rem ----- update classpath -----------------------------------------------------
+:updateClasspath
+
+setlocal EnableDelayedExpansion
+cd %CARBON_HOME%
+set CARBON_CLASSPATH=
+FOR %%C in ("%CARBON_HOME%\bin\*.jar") DO set CARBON_CLASSPATH=!CARBON_CLASSPATH!;".\bin\%%~nC%%~xC"
+
+set CARBON_CLASSPATH="%JAVA_HOME%\lib\tools.jar";%CARBON_CLASSPATH%;
+
+FOR %%D in ("%CARBON_HOME%\wso2\lib\commons-lang*.jar") DO set CARBON_CLASSPATH=!CARBON_CLASSPATH!;".\lib\%%~nD%%~xD"
+
+rem ----- Process the input command -------------------------------------------
+
+rem Slurp the command line arguments. This loop allows for an unlimited number
+rem of arguments (up to the command line limit, anyway).
+
+
+:setupArgs
+if ""%1""=="""" goto doneStart
+
+if ""%1""==""-run"" goto commandLifecycle
+if ""%1""==""--run"" goto commandLifecycle
+if ""%1""==""run"" goto commandLifecycle
+
+if ""%1""==""-restart"" goto commandLifecycle
+if ""%1""==""--restart"" goto commandLifecycle
+if ""%1""==""restart"" goto commandLifecycle
+
+if ""%1""==""debug"" goto commandDebug
+if ""%1""==""-debug"" goto commandDebug
+if ""%1""==""--debug"" goto commandDebug
+
+if ""%1""==""version"" goto commandVersion
+if ""%1""==""-version"" goto commandVersion
+if ""%1""==""--version"" goto commandVersion
+
+shift
+goto setupArgs
+
+rem ----- commandVersion -------------------------------------------------------
+:commandVersion
+shift
+type "%CARBON_HOME%\bin\version.txt"
+type "%CARBON_HOME%\bin\wso2carbon-version.txt"
+goto end
+
+rem ----- commandDebug ---------------------------------------------------------
+:commandDebug
+shift
+set DEBUG_PORT=%1
+if "%DEBUG_PORT%"=="" goto noDebugPort
+if not "%JAVA_OPTS%"=="" echo Warning !!!. User specified JAVA_OPTS will be ignored, once you give the --debug option.
+set JAVA_OPTS=-Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=%DEBUG_PORT%
+echo Please start the remote debugging client to continue...
+goto findJdk
+
+:noDebugPort
+echo Please specify the debug port after the --debug option
+goto end
+
+rem ----- commandLifecycle -----------------------------------------------------
+:commandLifecycle
+goto findJdk
+
+:doneStart
+if "%OS%"=="Windows_NT" @setlocal
+if "%OS%"=="WINNT" @setlocal
+
+rem ---------- Handle the SSL Issue with proper JDK version --------------------
+rem find the version of the jdk
+:findJdk
+
+set CMD=RUN %*
+
+:checkJdk17
+"%JAVA_HOME%\bin\java" -version 2>&1 | findstr /r "1.[7|8]" >NUL
+IF ERRORLEVEL 1 goto unknownJdk
+goto jdk17
+
+:unknownJdk
+echo Starting WSO2 Carbon (in unsupported JDK)
+echo [ERROR] CARBON is supported only on JDK 1.7 and 1.8
+goto jdk17
+
+:jdk17
+goto runServer
+
+rem ----------------- Execute The Requested Command ----------------------------
+
+:runServer
+cd %CARBON_HOME%
+
+rem ------------------ Remove tmp folder on startup -----------------------------
+set TMP_DIR=%CARBON_HOME%\tmp
+cd "%TMP_DIR%"
+del *.* /s /q > nul
+FOR /d %%G in ("*.*") DO rmdir %%G /s /q
+cd ..
+
+rem ---------- Add jars to classpath ----------------
+
+set CARBON_CLASSPATH=.\lib;%CARBON_CLASSPATH%
+
+set JAVA_ENDORSED=".\wso2\lib\endorsed";"%JAVA_HOME%\jre\lib\endorsed";"%JAVA_HOME%\lib\endorsed"
+
+set profile=-Dprofile=device-manager
+
+set CMD_LINE_ARGS=-Xbootclasspath/a:%CARBON_XBOOTCLASSPATH% -Xms256m -Xmx1024m -XX:MaxPermSize=256m -XX:+HeapDumpOnOutOfMemoryError -XX:HeapDumpPath="%CARBON_HOME%\repository\logs\heap-dump.hprof" -Dcom.sun.management.jmxremote -classpath %CARBON_CLASSPATH% %JAVA_OPTS% -Djava.endorsed.dirs=%JAVA_ENDORSED% -Dcarbon.registry.root=/ -Dcarbon.home="%CARBON_HOME%" -Dwso2.server.standalone=true -Djava.command="%JAVA_HOME%\bin\java" -Djava.opts="%JAVA_OPTS%" -Djava.io.tmpdir="%CARBON_HOME%\tmp" -Dlogger.server.name="IoT-Core" -Dcatalina.base="%CARBON_HOME%\wso2\lib\tomcat" -Djava.util.logging.config.file="%CARBON_HOME%\conf\etc\logging-bridge.properties" -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -Dcomponents.repo="%CARBON_HOME%\wso2\components\plugins" -Dcarbon.config.dir.path="%CARBON_HOME%\conf" -Dcarbon.components.dir.path="%CARBON_HOME%\wso2\components" -Dcarbon.extensions.dir.path="%CARBON_HOME%\extensions" -Dcarbon.dropins.dir.path="%CARBON_HOME%\dropins" -Dcarbon.external.lib.dir.path="%CARBON_HOME%\lib" -Dcarbon.patches.dir.path="%CARBON_HOME%\patches" -Dcarbon.servicepacks.dir.path="%CARBON_HOME%\servicepacks" -Dcarbon.internal.lib.dir.path="%CARBON_HOME%\wso2\lib" -Dconf.location="%CARBON_HOME%\conf" -Dcom.atomikos.icatch.file="%CARBON_HOME%\wso2\lib\transactions.properties" -Dcom.atomikos.icatch.hide_init_file_path=true -Dorg.apache.jasper.compiler.Parser.STRICT_QUOTE_ESCAPING=false -Dorg.apache.jasper.runtime.BodyContentImpl.LIMIT_BUFFER=true -Dcom.sun.jndi.ldap.connect.pool.authentication=simple -Dcom.sun.jndi.ldap.connect.pool.timeout=3000 -Dorg.terracotta.quartz.skipUpdateCheck=true -Djava.security.egd=file:/dev/./urandom -Dfile.encoding=UTF8 -Djava.net.preferIPv4Stack=true -Dcom.ibm.cacheLocalHost=true -DworkerNode=false -Dorg.wso2.ignoreHostnameVerification=true -Dorg.opensaml.httpclient.https.disableHostnameVerification=true -Diot.analytics.host="localhost" -Diot.analytics.https.port="9445" -Diot.manager.host="localhost" -Diot.manager.https.port="9443" -Dmqtt.broker.host="localhost" -Dmqtt.broker.port="1886" -Diot.core.host="localhost" -Diot.core.https.port="9443" -Diot.keymanager.host="localhost" -Diot.keymanager.https.port="9443" -Diot.gateway.host="localhost" -Diot.gateway.https.port="8243" -Diot.gateway.http.port="8280" -Diot.apimpublisher.host="localhost" -Diot.apimpublisher.https.port="9443" -Diot.apimstore.host="localhost" -Diot.apimstore.https.port="9443" %profile%
+:runJava
+echo JAVA_HOME environment variable is set to %JAVA_HOME%
+echo CARBON_HOME environment variable is set to %CARBON_HOME%
+"%JAVA_HOME%\bin\java" %CMD_LINE_ARGS% org.wso2.carbon.bootstrap.Bootstrap %CMD%
+if "%ERRORLEVEL%"=="121" goto runJava
+:end
+goto endlocal
+
+:endlocal
+
+:END
\ No newline at end of file
diff --git a/modules/distribution/src/core/resources/profiles/manager/iot-server.sh b/modules/distribution/src/core/resources/profiles/manager/iot-server.sh
new file mode 100755
index 00000000..91667a2f
--- /dev/null
+++ b/modules/distribution/src/core/resources/profiles/manager/iot-server.sh
@@ -0,0 +1,339 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Copyright 2005-2012 WSO2, Inc. http://www.wso2.org
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# ----------------------------------------------------------------------------
+# Main Script for the WSO2 Carbon Server
+#
+# Environment Variable Prequisites
+#
+# CARBON_HOME Home of WSO2 Carbon installation. If not set I will try
+# to figure it out.
+#
+# JAVA_HOME Must point at your Java Development Kit installation.
+#
+# JAVA_OPTS (Optional) Java runtime options used when the commands
+# is executed.
+#
+# NOTE: Borrowed generously from Apache Tomcat startup scripts.
+# -----------------------------------------------------------------------------
+
+# OS specific support. $var _must_ be set to either true or false.
+#ulimit -n 100000
+
+cygwin=false;
+darwin=false;
+os400=false;
+mingw=false;
+case "`uname`" in
+CYGWIN*) cygwin=true;;
+MINGW*) mingw=true;;
+OS400*) os400=true;;
+Darwin*) darwin=true
+ if [ -z "$JAVA_VERSION" ] ; then
+ JAVA_VERSION="CurrentJDK"
+ else
+ echo "Using Java version: $JAVA_VERSION"
+ fi
+ if [ -z "$JAVA_HOME" ] ; then
+ JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Versions/${JAVA_VERSION}/Home
+ fi
+ ;;
+esac
+
+# resolve links - $0 may be a softlink
+PRG="$0"
+
+while [ -h "$PRG" ]; do
+ ls=`ls -ld "$PRG"`
+ link=`expr "$ls" : '.*-> \(.*\)$'`
+ if expr "$link" : '.*/.*' > /dev/null; then
+ PRG="$link"
+ else
+ PRG=`dirname "$PRG"`/"$link"
+ fi
+done
+
+# Get standard environment variables
+PRGDIR=`dirname "$PRG"`
+
+# Only set CARBON_HOME if not already set
+[ -z "$CARBON_HOME" ] && CARBON_HOME=`cd "$PRGDIR/.." ; pwd`
+
+# Set AXIS2_HOME. Needed for One Click JAR Download
+AXIS2_HOME=$CARBON_HOME
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin; then
+ [ -n "$JAVA_HOME" ] && JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+ [ -n "$CARBON_HOME" ] && CARBON_HOME=`cygpath --unix "$CARBON_HOME"`
+ [ -n "$AXIS2_HOME" ] && CARBON_HOME=`cygpath --unix "$CARBON_HOME"`
+fi
+
+# For OS400
+if $os400; then
+ # Set job priority to standard for interactive (interactive - 6) by using
+ # the interactive priority - 6, the helper threads that respond to requests
+ # will be running at the same priority as interactive jobs.
+ COMMAND='chgjob job('$JOBNAME') runpty(6)'
+ system $COMMAND
+
+ # Enable multi threading
+ QIBM_MULTI_THREADED=Y
+ export QIBM_MULTI_THREADED
+fi
+
+# For Migwn, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+ [ -n "$CARBON_HOME" ] &&
+ CARBON_HOME="`(cd "$CARBON_HOME"; pwd)`"
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+ [ -n "$AXIS2_HOME" ] &&
+ CARBON_HOME="`(cd "$CARBON_HOME"; pwd)`"
+ # TODO classpath?
+fi
+
+if [ -z "$JAVACMD" ] ; then
+ if [ -n "$JAVA_HOME" ] ; then
+ if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+ # IBM's JDK on AIX uses strange locations for the executables
+ JAVACMD="$JAVA_HOME/jre/sh/java"
+ else
+ JAVACMD="$JAVA_HOME/bin/java"
+ fi
+ else
+ JAVACMD=java
+ fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+ echo "Error: JAVA_HOME is not defined correctly."
+ echo " CARBON cannot execute $JAVACMD"
+ exit 1
+fi
+
+# if JAVA_HOME is not set we're not happy
+if [ -z "$JAVA_HOME" ]; then
+ echo "You must set the JAVA_HOME variable before running CARBON."
+ exit 1
+fi
+
+if [ -e "$CARBON_HOME/wso2carbon.pid" ]; then
+ PID=`cat "$CARBON_HOME"/wso2carbon.pid`
+fi
+
+# ----- Process the input command ----------------------------------------------
+args=""
+for c in $*
+do
+ if [ "$c" = "--debug" ] || [ "$c" = "-debug" ] || [ "$c" = "debug" ]; then
+ CMD="--debug"
+ continue
+ elif [ "$CMD" = "--debug" ]; then
+ if [ -z "$PORT" ]; then
+ PORT=$c
+ fi
+ elif [ "$c" = "--stop" ] || [ "$c" = "-stop" ] || [ "$c" = "stop" ]; then
+ CMD="stop"
+ elif [ "$c" = "--start" ] || [ "$c" = "-start" ] || [ "$c" = "start" ]; then
+ CMD="start"
+ elif [ "$c" = "--version" ] || [ "$c" = "-version" ] || [ "$c" = "version" ]; then
+ CMD="version"
+ elif [ "$c" = "--restart" ] || [ "$c" = "-restart" ] || [ "$c" = "restart" ]; then
+ CMD="restart"
+ elif [ "$c" = "--test" ] || [ "$c" = "-test" ] || [ "$c" = "test" ]; then
+ CMD="test"
+ else
+ args="$args $c"
+ fi
+done
+
+if [ "$CMD" = "--debug" ]; then
+ if [ "$PORT" = "" ]; then
+ echo " Please specify the debug port after the --debug option"
+ exit 1
+ fi
+ if [ -n "$JAVA_OPTS" ]; then
+ echo "Warning !!!. User specified JAVA_OPTS will be ignored, once you give the --debug option."
+ fi
+ CMD="RUN"
+ JAVA_OPTS="-Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=$PORT"
+ echo "Please start the remote debugging client to continue..."
+elif [ "$CMD" = "start" ]; then
+ if [ -e "$CARBON_HOME/wso2carbon.pid" ]; then
+ if ps -p $PID > /dev/null ; then
+ echo "Process is already running"
+ exit 0
+ fi
+ fi
+ export CARBON_HOME=$CARBON_HOME
+# using nohup sh to avoid erros in solaris OS.TODO
+ nohup sh $CARBON_HOME/bin/wso2server.sh $args > /dev/null 2>&1 &
+ exit 0
+elif [ "$CMD" = "stop" ]; then
+ export CARBON_HOME=$CARBON_HOME
+ kill -term `cat $CARBON_HOME/wso2carbon.pid`
+ exit 0
+elif [ "$CMD" = "restart" ]; then
+ export CARBON_HOME=$CARBON_HOME
+ kill -term `cat $CARBON_HOME/wso2carbon.pid`
+ process_status=0
+ pid=`cat $CARBON_HOME/wso2carbon.pid`
+ while [ "$process_status" -eq "0" ]
+ do
+ sleep 1;
+ ps -p$pid 2>&1 > /dev/null
+ process_status=$?
+ done
+
+# using nohup sh to avoid erros in solaris OS.TODO
+ nohup sh $CARBON_HOME/bin/wso2server.sh $args > /dev/null 2>&1 &
+ exit 0
+elif [ "$CMD" = "test" ]; then
+ JAVACMD="exec "$JAVACMD""
+elif [ "$CMD" = "version" ]; then
+ cat $CARBON_HOME/bin/version.txt
+ cat $CARBON_HOME/bin/wso2carbon-version.txt
+ exit 0
+fi
+
+# ---------- Handle the SSL Issue with proper JDK version --------------------
+jdk_17=`$JAVA_HOME/bin/java -version 2>&1 | grep "1.[7|8]"`
+if [ "$jdk_17" = "" ]; then
+ echo " Starting WSO2 Carbon (in unsupported JDK)"
+ echo " [ERROR] CARBON is supported only on JDK 1.7 and 1.8"
+fi
+
+CARBON_XBOOTCLASSPATH=""
+for f in "$CARBON_HOME"/wso2/lib/xboot/*.jar
+do
+ if [ "$f" != "$CARBON_HOME/wso2/lib/xboot/*.jar" ];then
+ CARBON_XBOOTCLASSPATH="$CARBON_XBOOTCLASSPATH":$f
+ fi
+done
+
+JAVA_ENDORSED_DIRS="$CARBON_HOME/wso2/lib/endorsed":"$JAVA_HOME/jre/lib/endorsed":"$JAVA_HOME/wso2/lib/endorsed"
+
+CARBON_CLASSPATH=""
+if [ -e "$JAVA_HOME/lib/tools.jar" ]; then
+ CARBON_CLASSPATH="$JAVA_HOME/lib/tools.jar"
+fi
+for f in "$CARBON_HOME"/bin/*.jar
+do
+ if [ "$f" != "$CARBON_HOME/bin/*.jar" ];then
+ CARBON_CLASSPATH="$CARBON_CLASSPATH":$f
+ fi
+done
+for t in "$CARBON_HOME"/wso2/lib/commons-lang*.jar
+do
+ CARBON_CLASSPATH="$CARBON_CLASSPATH":$t
+done
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+ JAVA_HOME=`cygpath --absolute --windows "$JAVA_HOME"`
+ CARBON_HOME=`cygpath --absolute --windows "$CARBON_HOME"`
+ AXIS2_HOME=`cygpath --absolute --windows "$CARBON_HOME"`
+ CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+ JAVA_ENDORSED_DIRS=`cygpath --path --windows "$JAVA_ENDORSED_DIRS"`
+ CARBON_CLASSPATH=`cygpath --path --windows "$CARBON_CLASSPATH"`
+ CARBON_XBOOTCLASSPATH=`cygpath --path --windows "$CARBON_XBOOTCLASSPATH"`
+fi
+
+# ----- Execute The Requested Command -----------------------------------------
+
+echo JAVA_HOME environment variable is set to $JAVA_HOME
+echo CARBON_HOME environment variable is set to $CARBON_HOME
+
+cd "$CARBON_HOME"
+
+TMP_DIR=$CARBON_HOME/tmp
+if [ -d "$TMP_DIR" ]; then
+rm -rf "$TMP_DIR"
+fi
+
+START_EXIT_STATUS=121
+status=$START_EXIT_STATUS
+
+#setting up profile parameter for runtime http-gateway
+NODE_PARAMS="-Dprofile=device-manager"
+
+#To monitor a Carbon server in remote JMX mode on linux host machines, set the below system property.
+# -Djava.rmi.server.hostname="your.IP.goes.here"
+
+while [ "$status" = "$START_EXIT_STATUS" ]
+do
+ $JAVACMD \
+ -Xbootclasspath/a:"$CARBON_XBOOTCLASSPATH" \
+ -Xms256m -Xmx1024m -XX:MaxPermSize=512m \
+ -XX:+HeapDumpOnOutOfMemoryError \
+ -XX:HeapDumpPath="$CARBON_HOME/repository/logs/heap-dump.hprof" \
+ $JAVA_OPTS \
+ -Dcom.sun.management.jmxremote \
+ -classpath "$CARBON_CLASSPATH" \
+ -Djava.endorsed.dirs="$JAVA_ENDORSED_DIRS" \
+ -Djava.io.tmpdir="$CARBON_HOME/wso2/tmp" \
+ -Dcatalina.base="$CARBON_HOME/wso2/lib/tomcat" \
+ -Dwso2.server.standalone=true \
+ -Dcarbon.registry.root=/ \
+ -Djava.command="$JAVACMD" \
+ -Dcarbon.home="$CARBON_HOME" \
+ -Dlogger.server.name="IoT-Core" \
+ -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager \
+ -Dcarbon.config.dir.path="$CARBON_HOME/conf" \
+ -Dcarbon.components.dir.path="$CARBON_HOME/wso2/components" \
+ -Dcarbon.dropins.dir.path="$CARBON_HOME/dropins" \
+ -Dcarbon.external.lib.dir.path="$CARBON_HOME/lib" \
+ -Dcarbon.patches.dir.path="$CARBON_HOME/patches" \
+ -Dcarbon.servicepacks.dir.path="$CARBON_HOME/servicepacks" \
+ -Dcarbon.internal.lib.dir.path="$CARBON_HOME/wso2/lib" \
+ -Djava.util.logging.config.file="$CARBON_HOME/conf/etc/logging-bridge.properties" \
+ -Dcomponents.repo="$CARBON_HOME/wso2/components/plugins" \
+ -Dconf.location="$CARBON_HOME/conf"\
+ -Dcom.atomikos.icatch.file="$CARBON_HOME/wso2/lib/transactions.properties" \
+ -Dcom.atomikos.icatch.hide_init_file_path=true \
+ -Dorg.apache.jasper.compiler.Parser.STRICT_QUOTE_ESCAPING=false \
+ -Dorg.apache.jasper.runtime.BodyContentImpl.LIMIT_BUFFER=true \
+ -Dcom.sun.jndi.ldap.connect.pool.authentication=simple \
+ -Dcom.sun.jndi.ldap.connect.pool.timeout=3000 \
+ -Dorg.terracotta.quartz.skipUpdateCheck=true \
+ -Djava.security.egd=file:/dev/./urandom \
+ -Dfile.encoding=UTF8 \
+ -Djava.net.preferIPv4Stack=true \
+ -Dcom.ibm.cacheLocalHost=true \
+ -DworkerNode=false \
+ -Dorg.wso2.ignoreHostnameVerification=true \
+ -Dorg.opensaml.httpclient.https.disableHostnameVerification=true \
+ -Diot.analytics.host="localhost" \
+ -Diot.analytics.https.port="9445" \
+ -Diot.manager.host="localhost" \
+ -Diot.manager.https.port="9443" \
+ -Dmqtt.broker.host="localhost" \
+ -Dmqtt.broker.port="1886" \
+ -Diot.core.host="localhost" \
+ -Diot.core.https.port="9443" \
+ -Diot.keymanager.host="localhost" \
+ -Diot.keymanager.https.port="9443" \
+ -Diot.gateway.host="localhost" \
+ -Diot.gateway.https.port="8243" \
+ -Diot.gateway.http.port="8280" \
+ -Diot.apimpublisher.host="localhost" \
+ -Diot.apimpublisher.https.port="9443" \
+ -Diot.apimstore.host="localhost" \
+ -Diot.apimstore.https.port="9443" \
+ $NODE_PARAMS \
+ org.wso2.carbon.bootstrap.Bootstrap $*
+ status=$?
+done
diff --git a/modules/p2-profile/iot-core-profile/pom.xml b/modules/p2-profile/iot-core-profile/pom.xml
index 3f9b871a..cd55e41d 100644
--- a/modules/p2-profile/iot-core-profile/pom.xml
+++ b/modules/p2-profile/iot-core-profile/pom.xml
@@ -2839,13 +2839,14 @@
org.wso2.carbon.service.mgt.server.feature.group
${carbon.deployment.version}
-
org.wso2.carbon.message.flows.feature.group
${carbon.commons.version}
-
-
+
+ org.wso2.carbon.social.feature.group
+ ${carbon.store.version}
+
org.wso2.carbon.registry.core.feature.group
${carbon.registry.version.iotcore}
@@ -3869,24 +3870,6 @@
${identity.inbound.auth.saml.version}
-
-
-
- org.wso2.carbon.dashboards.shindig.feature.group
- ${carbon.dashboard.version}
-
-
- org.wso2.carbon.dashboards.portal.feature.group
- ${carbon.dashboard.version}
-
-
- org.wso2.carbon.dashboard.deployment.feature.group
- ${carbon.dashboard.version}
-
-
- org.wso2.carbon.iot.device.statistics.dashboard.feature.group
- ${carbon.device.mgt.plugin.version}
-
diff --git a/pom.xml b/pom.xml
index 45d1ceed..801e63bc 100644
--- a/pom.xml
+++ b/pom.xml
@@ -1518,7 +1518,7 @@
- 2.0.38
+ 2.0.42
[2.0.0, 3.0.0)
@@ -1526,7 +1526,7 @@
- 3.0.21
+ 3.0.22
6.1.80